//package Conectividad;

import java.net.*;  
import java.io.*;
import java.sql.*;
import java.util.*;

/**@autor Hortensia Ericka Ceron Vargas */

public class Protocolo {

private Socket sockete;
private DataInputStream dis;
private PrintStream ps;

private Statement stmt;
private ResultSet results;
private Connection c;
private StringTokenizer sti1;
private int i;


private int EN_ESPERA  = 0;
private int SALUDO     = 1;
private int HANDSHAKE  = 2;
private int ATENDIENDO = 3;

private int estado = EN_ESPERA;


public Protocolo (Socket sockete){

	this.sockete=sockete;

	try {
     	     
     	     dis = new DataInputStream( sockete.getInputStream() );
	     ps = new PrintStream( sockete.getOutputStream() );    
      
	} catch (Exception e) {
	     System.out.println("Error de E/S.");
	} // Fin de catch

}//fin del constructor


public String procesaCadena(String cadenaDeEntrada) {

String cadenaDeSalida = null;

if (estado == EN_ESPERA) {
	     cadenaDeSalida = "Hola cliente";
	     estado = SALUDO;
} 
else if (estado == SALUDO ) {
	    
   if (cadenaDeEntrada.equalsIgnoreCase("Hola") ) {
	        cadenaDeSalida = "Listo";
	        estado = HANDSHAKE;
    } else { 
	            cadenaDeSalida = "Debes decir Hola"; 
	            } // fin de if - else
 }  // fin de else if
	   
else if (estado == HANDSHAKE) {
     if (cadenaDeEntrada.equalsIgnoreCase("Conectar") ) {


         try{
            DriverManager.registerDriver(new oracle.jdbc.driver.OracleDriver());
         } // Fin del try
         catch(Exception egral){
            System.out.println("Error al cargar el driver.");
         } // Fin del catch

         try {
            c = DriverManager.getConnection ("jdbc:oracle:thin:@132.248.173.15:1521:evalua","evalua","tesis");
             //enviar("DriverManager Listo");
         } // Fin del try
         catch(SQLException sqle){
            System.out.println("Error : " +sqle);
         } // Fin del catch

	      
	          cadenaDeSalida = "Conexion lista";
	          estado = ATENDIENDO;
	          
     } 
 }       
	    
else if (estado == ATENDIENDO) {
System.out.println(cadenaDeEntrada);
   
   sti1 = new StringTokenizer(cadenaDeEntrada, "|");
      if (sti1.hasMoreTokens()==true){
         while(sti1.hasMoreTokens()){
            String cad1 = sti1.nextToken();
            String cad2 = sti1.nextToken();
            System.out.println("cad1 " +cad1);
            System.out.println("cad2 " +cad2);
  
        cadenaDeEntrada=cad2;
        i = Integer.valueOf(cad1).intValue();
        System.out.println(i);

       System.out.println(" cadenaDeEntrada " +cadenaDeEntrada);
          } // Fin del while
     } // Fin del if
     else {}
    System.out.println(" cadenaDeEntrada " +cadenaDeEntrada);

switch(i){

/* Case para el programa de RegistroProfesor, Alta de profesores */
case 1:
              try {
	         stmt = c.createStatement();
                 stmt.executeUpdate(cadenaDeEntrada);
                 	
              } catch (Exception e){
          	System.out.println(e);
          	e.printStackTrace(System.err);
              } // fin de try - catch
             cadenaDeSalida = "Insert";
              ps.println("Query ejecutado");
break;
 	      
/* Case para el programa ModificaProfesor */
/*Devuelve trece registros */ 	     
case 2:      
	  try{


              stmt = c.createStatement();
              results = stmt.executeQuery(cadenaDeEntrada);
              
              StringBuffer sb = new StringBuffer();
              String auxiliar;
              while(results.next() )	{
              auxiliar = results.getString(1) + "|" + results.getString(2) +"|" + results.getString(3) +"|"+ results.getString(4)+"|"+results.getString(5)+"|"+results.getString(6)+"|"+results.getString(7) +"|" + results.getString(8)+"|"+results.getString(9)+"|"+results.getString(10)+"|"+results.getString(11)+"|"+results.getString(12)+"|"+results.getString(13);
              	  sb.append(auxiliar+"/");
           	
                     } // Fin de while
               /*  if(auxiliar.length()==0){
                    auxiliar="No se ha encontrado el registro";	
                    sb.append(auxiliar);
                 }
                 else{   */            
                   
                  sb.append("/");
                // }
                  
                System.out.println("Ahora se enviara");  
                ps.println(sb.toString());
		cadenaDeSalida = sb.toString();
                System.out.println("Enviado" + sb.toString());
                
          } catch(Exception e){
            System.out.println(e);
            e.printStackTrace(System.err);
		            
          } // fin de try - catch
break;

/* Case  para el programa de ControlAdmon, devuelve login y password para que 
   sean verificados */

/*Devuelve seis registros*/
case 3:
   try{
      stmt = c.createStatement();
      results = stmt.executeQuery(cadenaDeEntrada);
      StringBuffer sb = new StringBuffer();
      String auxiliar;
      while(results.next() )    {
         auxiliar = results.getString(1) + "|" + results.getString(2) +"|"+ results.getString(3) +"|"+ results.getString(4)+"|"+results.getString(5)+"|"+results.getString(6);
      sb.append(auxiliar+"/");
      } // Fin del while

      sb.append("/");

      System.out.println("Ahora se enviara");
      ps.println(sb.toString());
      cadenaDeSalida = sb.toString();
      System.out.println("Enviado" + sb.toString());
   } // Fin del try
   catch(Exception e){
      System.out.println(e);
      e.printStackTrace(System.err);
   } // Fin del catch
break;


/* Case para ModificaMateria*/
/* Devuelve dos registros */
case 4:
   try{
      stmt = c.createStatement();
      results = stmt.executeQuery(cadenaDeEntrada);
      StringBuffer sb = new StringBuffer();
      String auxiliar;
      while(results.next() )    {
         auxiliar = results.getString(1) + "|" + results.getString(2);
      sb.append(auxiliar+"/");
      } // Fin del while

      sb.append("/");

      System.out.println("Ahora se enviara");
      ps.println(sb.toString());
      cadenaDeSalida = sb.toString();
      System.out.println("Enviado" + sb.toString());
   } // Fin del try
   catch(Exception e){
      System.out.println(e);
      e.printStackTrace(System.err);
   } // Fin del catch
break;

/* Case para BorraProfesor */
case 5:
   try {
      stmt = c.createStatement();
      stmt.executeUpdate(cadenaDeEntrada);

   } // Fin del try
   catch (Exception e){
      System.out.println(e);
      e.printStackTrace(System.err);
   } // Fin del catch
   cadenaDeSalida = "Insert";
   ps.println("Query ejecutado");
break;

/* Case para Alta Profesor (Choice de escolaridad */

/*Devuelve dos registros*/
case 6:
   try{
      stmt = c.createStatement();
      results = stmt.executeQuery(cadenaDeEntrada);
      StringBuffer sb = new StringBuffer();
      String auxiliar;
      while(results.next() )    {
         auxiliar = results.getString(1) + "|" + results.getString(2);
         sb.append(auxiliar+"/");
      } // Fin de while
      sb.append("/");
      System.out.println("Ahora se enviara");
      ps.println(sb.toString());
      cadenaDeSalida = sb.toString();
      System.out.println("Enviado" + sb.toString());

    } // Fin del try
    catch(Exception e){
       System.out.println(e);
       e.printStackTrace(System.err);
    } // Fin del catch
break;

// devuelve tres valores
case 7:
   try{
      stmt = c.createStatement();
      results = stmt.executeQuery(cadenaDeEntrada);
      StringBuffer sb = new StringBuffer();
      String auxiliar;
      while(results.next() )    {
         auxiliar = results.getString(1) + "|" + results.getString(2) + "|" + results.getString(3);
      sb.append(auxiliar+"/");
      } // Fin del while

      sb.append("/");

      System.out.println("Ahora se enviara");
      ps.println(sb.toString());
      cadenaDeSalida = sb.toString();
      System.out.println("Enviado" + sb.toString());
   } // Fin del try
   catch(Exception e){
      System.out.println(e);
      e.printStackTrace(System.err);
   } // Fin del catch
break;

/* Devuelve un solo registro */
case 8:
   try{
      stmt = c.createStatement();
      results = stmt.executeQuery(cadenaDeEntrada);
      StringBuffer sb = new StringBuffer();
      String auxiliar;
      while(results.next() )    {
         auxiliar = results.getString(1); 
      sb.append(auxiliar+"/");
      } // Fin del while

      sb.append("/");

      System.out.println("Ahora se enviara");
      ps.println(sb.toString());
      cadenaDeSalida = sb.toString();
      System.out.println("Enviado" + sb.toString());
   } // Fin del try
   catch(Exception e){
      System.out.println(e);
      e.printStackTrace(System.err);
   } // Fin del catch
break;

/* Regresa 14 registros, lo utilizo en ModificaAlumno */
case 9:
   try{
      stmt = c.createStatement();
      results = stmt.executeQuery(cadenaDeEntrada);
      StringBuffer sb = new StringBuffer();
      String auxiliar;
      while(results.next() )    {
         auxiliar = results.getString(1) + "|" + results.getString(2) +"|"+ results.getString(3) +"|"+ results.getString(4)+"|"+"|"+results.getString(5)+"|"+results.getString(6)+"|"+results.getString(7) +"|" + results.getString(8)+"|"+results.getString(9)+"|"+results.getString(10)+"|"+results.getString(11)+"|"+results.getString(12)+"|"+results.getString(13)+"|"+results.getString(14);
         sb.append(auxiliar+"/");
      } // Fin de while
      /*if(auxiliar.length()==0){
         auxiliar="No se ha encontrado el registro";
         sb.append(auxiliar);
      } // Fin del if
      else{   
         sb.append("/");
      }// Fin del else
*/
      System.out.println("Ahora se enviara");
      ps.println(sb.toString());
      cadenaDeSalida = sb.toString();
      System.out.println("Enviado" + sb.toString());
   } // Fin del try
   catch(Exception e){
      System.out.println(e);
      e.printStackTrace(System.err);
   } // Fin del catch
break;

/* Devuelve 13 registros */
case 10:
   try{
      stmt = c.createStatement();
      results = stmt.executeQuery(cadenaDeEntrada);
      StringBuffer sb = new StringBuffer();
      String auxiliar;
      while(results.next() )    {
         auxiliar = results.getString(1) + "|" + results.getString(2) +"|"+ results.getString(3) +"|"+ results.getString(4)+"|"+"|"+results.getString(5)+"|"+results.getString(6)+"|"+results.getString(7) +"|" + results.getString(8)+"|"+results.getString(9)+"|"+results.getString(10)+"|"+results.getString(11)+"|"+results.getString(12)+"|"+results.getString(13);
         sb.append(auxiliar+"/");
      } // Fin de while
      /*if(auxiliar.length()==0){
         auxiliar="No se ha encontrado el registro";
         sb.append(auxiliar);
      } // Fin del if
      else{
         sb.append("/");
      }// Fin del else
*/
      System.out.println("Ahora se enviara");
      ps.println(sb.toString());
      cadenaDeSalida = sb.toString();
      System.out.println("Enviado" + sb.toString());
   } // Fin del try
   catch(Exception e){
      System.out.println(e);
      e.printStackTrace(System.err);
   } // Fin del catch
break;

/* Devuelve 7 registros*/
case 11:
   try{
      stmt = c.createStatement();
      results = stmt.executeQuery(cadenaDeEntrada);
      StringBuffer sb = new StringBuffer();
      String auxiliar;
      while(results.next() )    {
         auxiliar = results.getString(1) + "|" + results.getString(2) +"|"+ results.getString(3) +"|"+ results.getString(4)+"|"+"|"+results.getString(5)+"|"+results.getString(6)+"|"+results.getString(7);

         sb.append(auxiliar+"/");
      } // Fin de while
      /*if(auxiliar.length()==0){
         auxiliar="No se ha encontrado el registro";
         sb.append(auxiliar);
      } // Fin del if
      else{
         sb.append("/");
      }// Fin del else
*/
      System.out.println("Ahora se enviara");
      ps.println(sb.toString());
      cadenaDeSalida = sb.toString();
      System.out.println("Enviado" + sb.toString());
   } // Fin del try
   catch(Exception e){
      System.out.println(e);
      e.printStackTrace(System.err);
   } // Fin del catch
break;


/*Devuelve 4 valores*/
case 12:
   try{
      stmt = c.createStatement();
      results = stmt.executeQuery(cadenaDeEntrada);
      StringBuffer sb = new StringBuffer();
      String auxiliar;
      while(results.next() )    {
         auxiliar = results.getString(1) + "|" + results.getString(2) + "|" + results.getString(3) +"|" +results.getString(4);
      sb.append(auxiliar+"/");
      } // Fin del while

      sb.append("/");

      System.out.println("Ahora se enviara");
      ps.println(sb.toString());
      cadenaDeSalida = sb.toString();
      System.out.println("Enviado" + sb.toString());
   } // Fin del try
   catch(Exception e){
      System.out.println(e);
      e.printStackTrace(System.err);
   } // Fin del catch
break;

/* Devuelve 8 registros*/
case 13:
   try{
      stmt = c.createStatement();
      results = stmt.executeQuery(cadenaDeEntrada);
      StringBuffer sb = new StringBuffer();
      String auxiliar;
      while(results.next() )    {
         auxiliar = results.getString(1) + "|" + results.getString(2) +"|"+ results.getString(3) +"|"+ results.getString(4)+"|"+"|"+results.getString(5)+"|"+results.getString(6)+"|"+results.getString(7)+"|"+"|"+results.getString(8);

         sb.append(auxiliar+"/");
      } // Fin de while

      System.out.println("Ahora se enviara");
      ps.println(sb.toString());
      cadenaDeSalida = sb.toString();
      System.out.println("Enviado" + sb.toString());
   } // Fin del try
   catch(Exception e){
      System.out.println(e);
      e.printStackTrace(System.err);
   } // Fin del catch
break;


/*

/* Devuelve 5 registros*/
case 14:
   try{
      stmt = c.createStatement();
      results = stmt.executeQuery(cadenaDeEntrada);
      StringBuffer sb = new StringBuffer();
      String auxiliar;
      while(results.next() )    {
         auxiliar = results.getString(1) + "|" + results.getString(2) + "|" + results.getString(3) +"|" +results.getString(4) + "|" + results.getString(5);
      sb.append(auxiliar+"/");
      } // Fin del while

      sb.append("/");

      System.out.println("Ahora se enviara");
      ps.println(sb.toString());
      cadenaDeSalida = sb.toString();
      System.out.println("Enviado" + sb.toString());
   } // Fin del try
   catch(Exception e){
      System.out.println(e);
      e.printStackTrace(System.err);
   } // Fin del catch
break;

/* Devuelve 9 registros*/
case 15:
   try{
      stmt = c.createStatement();
      results = stmt.executeQuery(cadenaDeEntrada);
      StringBuffer sb = new StringBuffer();
      String auxiliar;
      while(results.next() )    {
         auxiliar = results.getString(1) + "|" + results.getString(2) +"|"+ results.getString(3) +"|"+ results.getString(4)+"|"+"|"+results.getString(5)+"|"+results.getString(6)+"|"+results.getString(7)+"|"+"|"+results.getString(8)+"|"+"|"+results.getString(9)+"|"+"|"+results.getString(10);
         sb.append(auxiliar+"/");
      } // Fin de while

      System.out.println("Ahora se enviara");
      ps.println(sb.toString());
      cadenaDeSalida = sb.toString();
      System.out.println("Enviado" + sb.toString());
   } // Fin del try
   catch(Exception e){
      System.out.println(e);
      e.printStackTrace(System.err);
   } // Fin del catch
break;


} // Fin del switch
	          cadenaDeSalida = "Adios";
	          estado = EN_ESPERA;



} // 

	
	return cadenaDeSalida;    

} // Fin de procesaEntrada
}

