//package Conectividad;

import java.net.*;
import java.io.*;

/**@autor Hortensia Ericka Ceron Vargas */

/**
/**Esta clase es el middleman entre el cliente y el organizador de peticiones 
   una vez que han llegado al puerto 1101 */
  

public class ServidorMultipeticiones extends Thread {
     private Socket sockete = null;
     private PrintStream ps;        // OutputStream
     private DataInputStream dis;   //InputStream
     
     public ServidorMultipeticiones(Socket sockete) {
        super("Thread Atendiendose");
        this.sockete = sockete;
     }
     
     
     public void run() {
     try {
	  ps = new PrintStream( sockete.getOutputStream() );
	  dis = new DataInputStream( sockete.getInputStream() );
          
          String enviada, recibida;
          
          Protocolo prot = new Protocolo(sockete);
          
          recibida = prot.procesaCadena(null);
          ps.println(recibida);
  System.out.println("recibida" +recibida);
          
          while ( (recibida = dis.readLine() ) != null) {
               enviada = prot.procesaCadena(recibida);
      System.out.println("enviada " +enviada);
               ps.println(enviada);
               if ( enviada.toUpperCase().equals("ADIOS") )
                    break;
          } // Fin de while
          
          ps.close();
          dis.close();
          sockete.close();
          
      } catch(Exception e) {
           System.out.println("ERROR");
        } // Fin de try - catch
        
      } // Fin de run

} // Fin de la clase ServidorMultipeticiones
