package administrador;
import fija.*;
import cliente.*;
import java.io.*;
import java.awt.*;
import java.net.*;
import java.util.*;
import java.awt.event.*;


/**@autor Hortensia Ericka Ceron Vargas */

/* AsignaAlu.java*/

/** Este programa permite al administrador seleccionar los grupos existentes dentro de determinado plantel, facultad y carrera. Tambien permite asignar una materia y un grupo a un profesor especifico */

public class AsignaAlu extends Panel{
private FijarValores fv;
private GridBagLayout gbl;
private GridBagConstraints gbc;
private Label l1,l2,l3,l4,l5,l6,l7,l8,l9,l10;
private TextField t1,t2,t3,t4,t5,t6,t10;
private Choice c1,c2,c3,c4,c5;
private Button b1,b2,b3,b4;
private boolean habil;
private String opcion,caso,aux,aux1,readcadena,auxc1,auxc2, auxc3, auxc4, cadena2, cadena3, cadena4, cadena5, cadena6, cadena7, cadena8, cadena9, cadena10, cadena11, cadena12, cadena13, cadena14, cadena15,a,b,c,d,cad ;
private Panel pa,pa1,pa2,pa3;
private StringTokenizer st, sti1,sti2;
private List list1, list2;
private ConfirmaRegistro cr;
private Cliente clt;

public AsignaAlu(){
   pa = new Panel();
   pa1 = new Panel();
   pa2 = new Panel();
   pa3 = new Panel();
   fv = new FijarValores();
   gbl = new GridBagLayout();
   gbc = new GridBagConstraints();
   pa.setLayout(new BorderLayout());
   pa1.setLayout(gbl);
   pa2.setLayout(new BorderLayout());
   pa3.setLayout(gbl);

/* Etiquetas */
   l1 = new Label("Plantel:                   ");
   l1.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,5,1,1,1,1, new Insets(5,5,5,5));
   pa1.add(l1);
   gbl.setConstraints(l1,gbc);

   l2 = new Label("Facultad:                ");
   l2.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,6,1,1,1,1, new Insets(5,5,5,5));
   pa1.add(l2);
   gbl.setConstraints(l2,gbc);

   l3 = new Label("Carrera:                    ");
   l3.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,7,1,1,1,1, new Insets(5,5,5,5));
   pa1.add(l3);
   gbl.setConstraints(l3,gbc);

   l6 = new Label("Materia:                    ");
   l6.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,8,1,1,1,1, new Insets(5,5,5,5));
   pa1.add(l6);
   gbl.setConstraints(l6,gbc);

/* Choices */
   gbc = fv.FijarValores(gbc,1,5,1,1,1,1, new Insets(5,5,5,5));
   pa1.add(c1 = new Choice());
   c1.setFont(new Font("TimesRoman",Font.ITALIC,14));

   auxc1 = "6" +"|" +"SELECT PLA_CLAVE ,PLA_NOMBRE FROM PLANTEL"; 
   clt = new Cliente();
   clt.envia("hola");
   clt.recibir();
   clt.envia("conectar");
   clt.recibir();
   clt.recibir();
   clt.envia(auxc1);
   cad = clt.recibir();

   sti1 = new StringTokenizer(cad, "/");
   if(sti1.hasMoreTokens()==true){
      while(sti1.hasMoreTokens()){
         cadena2 = sti1.nextToken();
         sti2 = new StringTokenizer(cadena2, "|");
         while(sti2.hasMoreTokens()){
            cadena3=sti2.nextToken();
            cadena4=sti2.nextToken();
            String auxpla = (cadena4);
            c1.addItem(auxpla);
            gbl.setConstraints(c1,gbc);
         } //Fin del while sti2
      } //Fin del while sti1
   }//fin del if
   else{
      System.out.println("No existe el registro");
   }
   clt.envia("adios");
   clt.recibir();

   gbc = fv.FijarValores(gbc,1,6,1,1,1,1, new Insets(5,5,5,5));
   pa1.add(c2 = new Choice());

   auxc2 = "6" +"|" +"SELECT FAC_CLAVE ,FAC_NOMBRE FROM FACULTAD"; 
   clt = new Cliente();
   clt.envia("hola");
   clt.recibir();
   clt.envia("conectar");
   clt.recibir();
   clt.recibir();
   clt.envia(auxc2);
   cad = clt.recibir();

   sti1 = new StringTokenizer(cad, "/");
   if(sti1.hasMoreTokens()==true){
      while(sti1.hasMoreTokens()){
         cadena2 = sti1.nextToken();
         sti2 = new StringTokenizer(cadena2, "|");
         while(sti2.hasMoreTokens()){
            cadena3=sti2.nextToken();
            cadena4=sti2.nextToken();
            String auxfac = (cadena4);
            c2.addItem(auxfac);
            gbl.setConstraints(c2,gbc);
         } //Fin del while sti2
      } //Fin del while sti1
   }//fin del if
   else{
      System.out.println("No existe el registro");
   }
   clt.envia("adios");
   clt.recibir();

   gbc = fv.FijarValores(gbc,1,7,1,1,1,1, new Insets(5,5,5,5));
   pa1.add(c3 = new Choice());
   auxc3 = "6" +"|" +"SELECT CAR_CLAVE ,CAR_NOMBRE FROM CARRERA"; 
   clt = new Cliente();
   clt.envia("hola");
   clt.recibir();
   clt.envia("conectar");
   clt.recibir();
   clt.recibir();
   clt.envia(auxc3);
   cad = clt.recibir();
   
   sti1 = new StringTokenizer(cad, "/");
   if(sti1.hasMoreTokens()==true){
      while(sti1.hasMoreTokens()){
         cadena2 = sti1.nextToken();
         sti2 = new StringTokenizer(cadena2, "|");
         while(sti2.hasMoreTokens()){
            cadena3=sti2.nextToken();
            cadena4=sti2.nextToken();
            String auxcar = (cadena4);
            c3.addItem(auxcar);
            gbl.setConstraints(c3,gbc);
         } //Fin del while sti2
      } //Fin del while sti1
   }//fin del if
   else{
      System.out.println("No existe el registro");
   } // Fin del else
   clt.envia("adios");
   clt.recibir();

   gbc = fv.FijarValores(gbc,1,8,1,1,1,1, new Insets(5,5,5,5));
   pa1.add(c4 = new Choice());
   c4.setFont(new Font("TimesRoman",Font.ITALIC,14));

   auxc4 = "8" +"|" +"SELECT MAT_DESCRIPCION FROM MATERIAS"; 
   clt = new Cliente();
   clt.envia("hola");
   clt.recibir();
   clt.envia("conectar");
   clt.recibir();
   clt.recibir();
   clt.envia(auxc4);
   cad = clt.recibir();
   
   sti1 = new StringTokenizer(cad, "/");
   if(sti1.hasMoreTokens()==true){
      while(sti1.hasMoreTokens()){
         cadena2 = sti1.nextToken();
         sti2 = new StringTokenizer(cadena2, "|");
         while(sti2.hasMoreTokens()){
            cadena3=sti2.nextToken();
            String auxpla = (cadena3);
            c4.addItem(auxpla);
            gbl.setConstraints(c4,gbc);
         } //Fin del while sti2
      } //Fin del while sti1
   }//fin del if
   else{
      System.out.println("No existe el registro");
   }
   clt.envia("adios");
   clt.recibir();

/*Botones */
   gbc = fv.FijarValores(gbc,5,5,1,1,1,1, new Insets(5,5,5,5));
   b1 = new Button("Traer grupos");
   b1.addActionListener(new Escucha());
   pa1.add(b1);
   gbl.setConstraints(b1,gbc);

   gbc = fv.FijarValores(gbc,5,6,1,1,1,1, new Insets(5,5,5,5));
   b2 = new Button("Asignar ");
   b2.addActionListener(new Escucha());
   b2.disable();
   pa1.add(b2);
   gbl.setConstraints(b2,gbc);

   gbc = fv.FijarValores(gbc,5,7,1,1,1,1, new Insets(5,5,5,5));
   b3 = new Button("Cancelar ");
   b3.addActionListener(new Escucha());
   pa1.add(b3);
   gbl.setConstraints(b3,gbc);

/* Lista*/
   l4 = new Label("GRUPOS                                                            ALUMNOS   " );
   l4.setFont(new Font("TimesRoman",Font.ITALIC,14));
   pa2.add("North", l4);

   list1 = new List(15);
   list1.setFont(new Font("TimesRoman",Font.ITALIC,14));
   pa2.add("West", list1);


   list2 = new List(15);
   list2.setFont(new Font("TimesRoman",Font.ITALIC,14));

   aux = "2" +"|" +"SELECT *  FROM ALUMNOS ORDER BY ALU_CLAVE";
   clt = new Cliente();
   clt.envia("hola");
   clt.recibir();
   clt.envia("conectar");
   clt.recibir();
   clt.recibir();
   clt.envia(aux);
   cad = clt.recibir();

   sti1 = new StringTokenizer(cad, "/");
   if(sti1.hasMoreTokens()==true){
      while(sti1.hasMoreTokens()){
         cadena2 = sti1.nextToken();
         sti2 = new StringTokenizer(cadena2, "|");
            while(sti2.hasMoreTokens()){
               cadena3=sti2.nextToken();
               cadena4=sti2.nextToken();
               cadena5=sti2.nextToken();
               cadena6=sti2.nextToken();
               cadena7=sti2.nextToken();
               cadena8=sti2.nextToken();
               cadena9=sti2.nextToken();
               cadena10=sti2.nextToken();
               cadena11=sti2.nextToken();
               cadena12=sti2.nextToken();
               cadena13=sti2.nextToken();
               cadena14=sti2.nextToken();
               cadena15=sti2.nextToken();
               list2.addItem(cadena3 +"        " + cadena4 + " " + cadena5 +" " +cadena6);
               list2.addActionListener(new Escucha());
               list2.select(0);
            } //Fin del while sti2
       } //Fin del while sti1
   }//fin del if
   else{
      System.out.println("No existe el registro");
   } // Fin del else
   clt.envia("adios");
   clt.recibir();
   pa2.add("East", list2);

/*Etiquetas y Text Field del panel 3*/
   l5 = new Label("Grupo asignado:                     ");
   l5.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,2,1,1,1,1, new Insets(5,5,5,5));
   pa3.add(l5);
   gbl.setConstraints(l5,gbc);

   gbc = fv.FijarValores(gbc,1,2,3,1,1,3, new Insets(5,5,5,5));
   t1= new TextField(10);
   t1.disable();
   pa3.add(t1);
   gbl.setConstraints(t1,gbc);

   l6 = new Label("Alumno asignado:                   ");
   l6.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,3,1,1,1,1, new Insets(5,5,5,5));
   pa3.add(l6);
   gbl.setConstraints(l6,gbc);

   gbc = fv.FijarValores(gbc,1,3,3,1,1,3, new Insets(5,5,5,5));
   t2= new TextField(10);
   t2.disable();
   pa3.add(t2);
   gbl.setConstraints(t2,gbc);

   l7 = new Label("No. de lista:                      ");
   l7.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,4,1,1,1,1, new Insets(5,5,5,5));
   pa3.add(l7);
   gbl.setConstraints(l7,gbc);

   gbc = fv.FijarValores(gbc,1,4,3,1,1,3, new Insets(5,5,5,5));
   t3= new TextField(10);
   t3.disable();
   pa3.add(t3);
   gbl.setConstraints(t3,gbc);

   pa.add("North", pa1);
   pa.add("Center",pa2);
   pa.add("South", pa3);
   add("Center",pa);
} // Fin de Componentegistro Materia

class Escucha implements ActionListener{
   public void actionPerformed (ActionEvent ae) {
      if (ae.getActionCommand().equals("Traer grupos")) {
         t3.enable();
         list1.removeAll();
         aux = "8" +"|" +"SELECT  GRU_NOMBRE FROM GRUPO WHERE ((PLA_CLAVE= grupo_c('" +c1.getSelectedItem()+"' )) AND (FAC_CLAVE= grupo_a('" + c2.getSelectedItem() + "' )) AND (CAR_CLAVE = grupo_b('" + c3.getSelectedItem()+"'))) ";
          clt = new Cliente();
          clt.envia("hola");
          clt.recibir();
          clt.envia("conectar");
          clt.recibir();
          clt.recibir();
          clt.envia(aux);
          cad = clt.recibir();

          sti1 = new StringTokenizer(cad, "/");
          if(sti1.hasMoreTokens()==true){
             while(sti1.hasMoreTokens()){
                cadena2 = sti1.nextToken();
                sti2 = new StringTokenizer(cadena2, "|");
                   while(sti2.hasMoreTokens()){
                      cadena3=sti2.nextToken();
                      list1.addItem(cadena3);
                      list1.addActionListener(new Escucha());
                      list1.select(0);
                   } //Fin del while sti2
             } //Fin del while sti1
          }//fin del if
          else{
             System.out.println("No existe el registro");
          } // Fin del else
          clt.envia("adios");
          clt.recibir();
          b2.enable();
      
    } // Fin del if

    else if (ae.getActionCommand().equals("Asignar ")) {
      st = new StringTokenizer(list2.getSelectedItem()," ");
      a = st.nextToken();
      b = st.nextToken();
      c = st.nextToken();
      d= st.nextToken();
      aux = ("11" +"|" +"SELECT  * from GRUPO WHERE GRU_NOMBRE = '" + list1.getSelectedItem() + "'");
      clt = new Cliente();
      clt.envia("hola");
      clt.recibir();
      clt.envia("conectar");
      clt.recibir();
      clt.recibir();
      clt.envia(aux);
      cad = clt.recibir();

      sti1 = new StringTokenizer(cad, "/");
      if(sti1.hasMoreTokens()==true){
         while(sti1.hasMoreTokens()){
            cadena2 = sti1.nextToken();
            sti2 = new StringTokenizer(cadena2, "|");
            while(sti2.hasMoreTokens()){
               cadena3=sti2.nextToken();
               cadena4=sti2.nextToken();
               cadena5=sti2.nextToken();
               cadena6=sti2.nextToken();
               cadena7=sti2.nextToken();
               cadena8=sti2.nextToken();
               cadena9=sti2.nextToken();
            } // Fin del while sti2
         } // Fin del while sti1
      } // Fin del if
      else{
         System.out.println("No existe el registro");
      } // Fin del else
      clt.envia("adios");
   clt.recibir();
   String duo=("ALU_CLAVE=" +a);
   cr = new ConfirmaRegistro("LISTA",duo);
   cr.registro();
   if  (cr.registro() == 0){
   aux= ("1" +"|" +"INSERT INTO LISTA VALUES (grupo_c('" + c1.getSelectedItem()+ "'),grupo_a('" + c2.getSelectedItem() + "'),grupo_b('" + c3.getSelectedItem() + "'),grupo_d('" +c4.getSelectedItem()+"')," +cadena6 +"," +a +"," +t3.getText()+"," + "0.0" +")");

// a es la clave del grupo


   clt = new Cliente();
   clt.envia("hola");
   clt.recibir();
   clt.envia("conectar");
   clt.recibir();
   clt.envia(aux);
   clt.recibir();
   clt.envia("adios");
   clt.recibir();  
         
   t1.setText(list1.getSelectedItem());
   t2.setText(b+ " " +c + " " +d);
   b2.disable();

   Frame f = new Frame();
   DiaAfirma mf = new DiaAfirma( f,"Alumno asignado", true);
   mf.show();
   
   t1.setText(" ");
   t2.setText(" ");
   t3.setText(" ");
   list1.removeAll();
} // Fin del if que valida si existe el registro

else{
   Frame f = new Frame();
   Dialogo mf = new Dialogo( f,"El alumno ya esta asignado en ese grupo", true);
   mf.resize(550,150);
   mf.show();
   t1.setText(" ");
   t2.setText(" ");
   t3.setText(" ");
   list1.removeAll();

} // Fin del else
   } // Fin del else if

   else if (ae.getActionCommand().equals("Cancelar ")){
      pa.hide();
      pa1.hide();
      pa2.hide();
      pa3.hide();
   } // Fin del else if
} // Fin del Action Performed
} // Fin de la clase Escucha

} // Fin de AsignaAlu
