package administrador;
import fija.*;
import cliente.*;
import java.io.*;
import java.awt.*;
import java.net.*;
import java.util.*;
import java.awt.event.*;

/**@autor Hortensia Ericka Ceron Vargas */

/* RegistroMateria.java*/

/** Este programa realiza las altas de materias en el sistema */

public class RegistroMateria extends Panel{

private FijarValores fv;
private GridBagLayout gbl;
private GridBagConstraints gbc;
private Label l1,l2;
private TextField t1,t2;
private Button b1,b2;
private boolean habil;
private String opcion,caso, aux, readcadena;
private Panel pa;
private Socket ClienteSocket;
private DataInputStream cdis;
private PrintStream cps;
private StringTokenizer sti1,sti2;
private ValorRegistro vr;
private Cliente clt;

public RegistroMateria(){
   setLayout(new BorderLayout());
   pa = new Panel();
   fv = new FijarValores();
   gbl = new GridBagLayout();
   gbc = new GridBagConstraints();
   pa.setLayout(gbl);

/* Etiquetas */
   l1 = new Label("Clave de la materia:                  ");
   l1.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,3,1,1,1,1, new Insets(5,5,5,5));
   pa.add(l1);
   gbl.setConstraints(l1,gbc);

   l2 = new Label("Descripcion de la Materia:       ");
   l2.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,4,1,1,1,1, new Insets(5,5,5,5));
   pa.add(l2);
   gbl.setConstraints(l2,gbc);

/* Campos de texto */
   gbc = fv.FijarValores(gbc,2,3,3,1,1,3, new Insets(5,5,5,5));
   t1= new TextField(10);
   t1.disable();
   pa.add(t1);
   gbl.setConstraints(t1,gbc);

   gbc = fv.FijarValores(gbc,2,4,3,1,1,3, new Insets(5,5,5,5));
   pa.add(t2= new TextField(10));
   gbl.setConstraints(t2,gbc);

/*Botones */
   gbc = fv.FijarValores(gbc,0,10,1,1,1,1, new Insets(5,5,5,5));
   b1 = new Button("Aceptar");
   b1.addActionListener(new Escucha());
   pa.add(b1);
   gbl.setConstraints(b1,gbc);

   gbc = fv.FijarValores(gbc,2,10,1,1,1,1, new Insets(5,5,5,5));
   b2 = new Button("Cancelar");
   b2.addActionListener(new Escucha());
   pa.add(b2);
   gbl.setConstraints(b2,gbc);
   add("Center",pa);
   vr = new ValorRegistro("MATERIAS","MAT_CLAVE= ");
   vr.valor();
   String tmp = new Integer(vr.valor()).toString();
   t1.setText(tmp);

} // Fin de Componentegistro Materia

class Escucha implements ActionListener{
   public void actionPerformed (ActionEvent ae) {
      if (ae.getActionCommand().equals("Aceptar")) {
        if(t1.getText().equals("")){
           if(t2.getText().equals("")){
           Frame f = new Frame();
           DiaAfirma mf = new DiaAfirma( f,"No hay datos a insertar",true);
           mf.show();
        } // Fin del segundo if
        else{}
        } // Fin del if
        else{
         aux = ("1" +"|" +"INSERT INTO MATERIAS VALUES (" + t1.getText() + ",'" + t2.getText()+ "')");
	  clt = new Cliente(); 
          clt.envia("hola");
	  clt.recibir();
	  clt.envia("conectar");
	  clt.recibir();
	  clt.envia(aux);
	  System.out.println(aux);
	  clt.recibir();
	  clt.envia("adios");
	  clt.recibir();
          Frame f = new Frame();
          DiaAfirma mf = new DiaAfirma( f,"Materia dada de alta", true);
          mf.show();
          vr = new ValorRegistro("MATERIAS","MAT_CLAVE= ");
          vr.valor();
          String tmp = new Integer(vr.valor()).toString();
          t1.setText(tmp);
          t2.setText(" ");
         } // Fin del else
      } // Fin del if
        if (ae.getActionCommand().equals("Cancelar")){
         pa.hide(); 
      } // Fin del else
   } // Fin del actionPerformed
} // Fin de la clase Escucha

} // Fin de Registro Materia


