package administrador;
import fija.*;
import cliente.*;
import java.io.*;
import java.awt.*;
import java.net.*;
import java.util.*;
import java.awt.event.*;

/**@autor Hortensia Ericka Ceron Vargas */

/* RegistroPlantel.java*/

/**  Este programa realiza las altas de planteles */

public class RegistroPlantel extends Panel{

private FijarValores fv;
private GridBagLayout gbl;
private GridBagConstraints gbc;
private Label l1,l2,l3;
private TextField t1,t2,t3;
private Button b1,b2;
private String aux;
private Panel pa;
private ValorRegistro vr;
private Cliente clt;

public RegistroPlantel(){
   setLayout(new BorderLayout());
   pa = new Panel();
   fv = new FijarValores();
   gbl = new GridBagLayout();
   gbc = new GridBagConstraints();
   pa.setLayout(gbl);

/* Etiquetas */
   l1 = new Label("Clave de del plantel: ");
   l1.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,3,1,1,1,1, new Insets(5,5,5,5));
   pa.add(l1);
   gbl.setConstraints(l1,gbc);

   l2 = new Label(" Nombre del plantel:       ");
   l2.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,5,1,1,1,1, new Insets(5,5,5,5));
   pa.add(l2);
   gbl.setConstraints(l2,gbc);

   l3 = new Label("Direccion del plantel:   ");
   l3.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,6,1,1,1,1, new Insets(5,5,5,5));
   pa.add(l3);
   gbl.setConstraints(l3,gbc);

/* Campos de texto */
   gbc = fv.FijarValores(gbc,2,3,3,1,1,3, new Insets(5,5,5,5));
   t1= new TextField(5);
   t1.disable();
   pa.add(t1);
   gbl.setConstraints(t1,gbc);

   gbc = fv.FijarValores(gbc,2,5,3,1,1,3, new Insets(5,5,5,5));
   pa.add(t2= new TextField(30));
   gbl.setConstraints(t2,gbc);

   gbc = fv.FijarValores(gbc,2,6,3,1,1,3, new Insets(5,5,5,5));
   pa.add(t3= new TextField(30));
   gbl.setConstraints(t3,gbc);

/*Botones */
   gbc = fv.FijarValores(gbc,0,20,1,1,1,1, new Insets(5,5,5,5));
   b1 = new Button("Aceptar");
   b1.addActionListener(new Escucha());
   pa.add(b1);
   gbl.setConstraints(b1,gbc);

   gbc = fv.FijarValores(gbc,2,20,1,1,1,1, new Insets(5,5,5,5));
   b2 = new Button("Cancelar");
   b2.addActionListener(new Escucha());
   pa.add(b2);
   gbl.setConstraints(b2,gbc);
   add("Center",pa);

   vr = new ValorRegistro("PLANTEL","PLA_CLAVE= ");   
   vr.valor();
   String tmp = new Integer(vr.valor()).toString();
   t1.setText(tmp);

} // Fin de Componentegistro Materia

class Escucha implements ActionListener{
   public void actionPerformed (ActionEvent ae) {
      if (ae.getActionCommand().equals("Aceptar")) {

      aux =("1" +"|" +"INSERT INTO PLANTEL VALUES(" + t1.getText() +",'" + t2.getText() + "','" + t3.getText() + "')");
System.out.println(aux);
         clt = new Cliente();
         clt.envia("hola");
         clt.recibir();
         clt.envia("conectar");
         clt.recibir();
         clt.envia(aux);
         clt.recibir();
         clt.envia("adios");
         clt.recibir();
         Frame f = new Frame();
         DiaAfirma mf = new DiaAfirma( f,"Plantel dado de alta", true);
         mf.show();
         vr = new ValorRegistro("PLANTEL","PLA_CLAVE= ");
         vr.valor();
         String tmp = new Integer(vr.valor()).toString();
         t1.setText(tmp);
         t2.setText(" ");
         t3.setText(" ");
      } // Fin del if
      else  if (ae.getActionCommand().equals("Cancelar")){
         pa.hide();
      } // Fin del else
   } // Fin del actionPerformed
} // Fin de la clase Escucha

} // Fin de Registro Grupo
