package cliente;
import java.awt.*;
import java.io.*;
import java.net.*;

/**@autor Hortensia Ericka Ceron Vargas */

/** Esta clase se encarga de establecer la comunicacion con el servidor y 
    enviar y recibir datos del mismo*/

public class Cliente{
private String readcadena;
private DataInputStream cdis;
private PrintStream cps;
private Socket ClienteSocket;

/* Constructor */
public Cliente(){
  try{
     ClienteSocket = new Socket("siberiano.aragon.unam.mx",1101);
     cps = new PrintStream(ClienteSocket.getOutputStream());
     cdis = new DataInputStream(ClienteSocket.getInputStream());
  } // Fin del try
  catch(Exception e){
     System.out.println(e.getMessage());
     e.printStackTrace(System.err);
  } // Fin del catch

} // Fin del constructor

public void envia(String cadena){
   cps.println(cadena);
   System.out.println("La cadena cps  es: " +cadena);
} // Fin de enviar


public String recibir(){
System.out.println("inicia recibir" );

  try{
      readcadena = cdis.readLine();
System.out.println("readcadena " +readcadena);
      if(readcadena.equalsIgnoreCase("Listo")==true){
         System.out.println(readcadena);
      } // Fin del if
      else if(readcadena.equalsIgnoreCase("Conexion lista")==true){
         System.out.println(readcadena);
      } //fin del else 
      else if (readcadena.equalsIgnoreCase("Query ejecutado")==true){
         System.out.println(readcadena);
      } // Fin del else if

      else if(readcadena.equalsIgnoreCase("ADIOS")==true){
         try{
            cdis.close();
            cps.close();
            ClienteSocket.close();
         } // Fin del try
         catch(Exception e){
            System.out.println(e.getMessage());
         } // Fin del catch 
      } // Fin del else if
   
      else if(readcadena.equalsIgnoreCase("Seleccion realizada")==true){
         try{
            cdis.close();
            cps.close();
            ClienteSocket.close();
         } // Fin del try
         catch(Exception e){
            System.out.println(e.getMessage());
         } // Fin del catch
      } // Fin del else
   } // Fin del try
   catch(Exception e){
      System.out.println(e.getMessage());
   } // Fin del catch
System.out.println("Aqui " +readcadena);

   return readcadena;
} // Fin de recibir

 
}  // Fin de la clase  Cliente

