package fija;
import java.io.*;
import java.net.*;
import java.awt.*;
import java.util.*;

/**@autor Hortensia Ericka Ceron Vargas */

/** Esta clase se encarga de verificar que un registro exista o no */

public class ConfirmaRegistro{
private Socket ClienteSocket;
private PrintStream cps;
private DataInputStream cdis;
private String aux,readcadena,cadena2, cadena3,tabla,condicion;
private int j,siguiente;
private StringTokenizer sti1,sti2;


/* Constructor */
public ConfirmaRegistro(String tabla, String condicion){
   this.tabla=tabla;
   this.condicion=condicion;
} // Fin del constructor

/* La funcion registro obtiene la clave del grupo  automaticamente */

public int registro(){
        aux=("8" +"|" +"SELECT COUNT(*) FROM " +tabla+ " WHERE " +condicion);
        try {
            ClienteSocket = new Socket("titanio.servidores.unam.mx",1101);
            cdis = new DataInputStream(ClienteSocket.getInputStream());
            cps = new PrintStream(ClienteSocket.getOutputStream());
            System.out.println(" Estoy en el primer try");
         } // Fin del try
         catch(Exception e){
            System.out.println(e.getMessage());
            e.printStackTrace(System.err);
         } // Fin del catch
         enviar("hola");
         recibir();
         enviar("conectar");
         recibir();
         recibir();
         enviar(aux);
         System.out.println(" Enviando aux: " + aux);
         recibir();
         try{
            System.out.println(readcadena);
         } // Fin del try
         catch(Exception e){
            System.out.println("Error: " +e);
         } // Fin del catch
         sti1 = new StringTokenizer(readcadena, "/");
            if(sti1.hasMoreTokens()==true){
               while(sti1.hasMoreTokens()){
                  cadena2 = sti1.nextToken();
                  System.out.println("La cadena dos es: " +cadena2);
                  sti2 = new StringTokenizer(cadena2, "|");
                  while(sti2.hasMoreTokens()){
                     cadena3=sti2.nextToken();
                  } //Fin del while sti2
                } //Fin del while sti1
               }//fin del if
            else{
               System.out.println("No existe el registro");
            } // Fin else
            enviar("adios");
            try{
                String hola1 = cdis.readLine();
            } // Fin del try
            catch(Exception e){
                e.printStackTrace();
            } // Fin del catch
            recibir();
            j = Integer.valueOf(cadena3).intValue();
            if (j==0){
               siguiente = 0;
            } // Fin del if
            else{
               siguiente =1 ;
            } // Fin del else
   return siguiente;
} // Fin de registro

public void enviar(String cadena){
   cps.println(cadena);
} // Fin de enviar


public void recibir(){
   try{
      readcadena = cdis.readLine();
      if(readcadena.equalsIgnoreCase("Listo")==true){
         System.out.println(readcadena);
      } // Fin del if
      else if(readcadena.equalsIgnoreCase("Conexion lista")==true){
         System.out.println(readcadena);
      } //fin del else
      else if (readcadena.equalsIgnoreCase("Query ejecutado")==true){
         System.out.println(readcadena);
      } // Fin del else if

      else if(readcadena.equalsIgnoreCase("ADIOS")==true){
         try{
            cdis.close();
            cps.close();
            ClienteSocket.close();
         } // Fin del try
         catch(Exception e){
            System.out.println(e.getMessage());
         } // Fin del catch
      } // Fin del else if

      else if(readcadena.equalsIgnoreCase("Seleccion realizada")==true){
         try{
            cdis.close();
            cps.close();
            ClienteSocket.close();
         } // Fin del try
         catch(Exception e){
            System.out.println(e.getMessage());
         } // Fin del catch
      } // Fin del else
   } // Fin del try
   catch(Exception e){
      System.out.println(e.getMessage());
   } // Fin del catch
} // Fin de recibir


} // Fin de la clase ConfirmaRegistro

