package profesor;
import fija.*;
import cliente.*;
import java.awt.*;
import java.util.*;
import java.awt.event.*;

/**@autor Hortensia Ericka Ceron Vargas */

/* CapturaExam */

/** Este programa muestra la pantalla en la que el profesor captura las
    preguntas, respuestas y respectivos valores del examen */

public class CapturaExam extends Dialog{
private Label l1,l2,l3,l4,l5,l6,l7,l8;
private TextField t1,t2,t3,t4,t5,t6,t7;
private Button b1;
private String grupo, clave, aux, cadena2, cadena3, cadena4, cadena5, cadena6, cadena7,descripcion;
private StringTokenizer sti1, sti2;
private GridBagLayout gbl;
private GridBagConstraints gbc;
private FijarValores fv;
private int contador,total,valor1,valor2,valor3;
private Cliente clt;
private int s1;

/* Constructor */

/** Este constructor recibe un frame, un titulo, un entero y que representa el
    total de preguntas a introducir, un int cuenta que representa a cada una de
    las preguntas, un String grupo que representa al grupo, un String clave,
    cadena3 que contiene el valor de PLA_CLAVE, cadena4 contiene el valor
    de FAC_CLAVE, cadena5 el de CAR_CLAVE, cadena6 el de MAT_CLAVE, cadena7 
    el de GRU_CLAVE de la tabla de ASIGNATURAS donde la clave del grupo
    (GRU_CLAVE) corresponde al grupo elegido por el profesor en el programa
    ExaProfr.java

    La variable grupo es utilizada para asignar una clave diferente a cada 
    examen.
    Ademas de que el registro pre_exa_clave esta conformado de la combinacion
    de la clave del examen y el numero de la pregunta
*/

public CapturaExam(Frame f, String titulo,int y, int cuenta, String grupo, String clave, String cadena3, String cadena4, String cadena5, String cadena6, String cadena7,String descripcion){
   super(f,titulo,true);
   total= y;
   contador = cuenta;
   this.grupo = grupo;
   this.clave = clave;
   this.cadena3 = cadena3;
   this.cadena4 = cadena4;
   this.cadena5 = cadena5;
   this.cadena6 = cadena6;
   this.cadena7 = cadena7;
   this.descripcion = descripcion;
   Componentes();
} // Fin del Constructor

/** Este metodo se encarga de establecer los componentes en la pantalla del
    profesor para introducir las preguntas y respuestas del examen */
   
   public void Componentes(){
   fv = new FijarValores();
   gbl = new GridBagLayout();
   gbc = new GridBagConstraints();
   setLayout(gbl);

   l1 = new Label("Introduzca la Pregunta: " +contador + " de " +  total);
   l1.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,1,1,1,1,1, new Insets(5,5,5,5));
   add(l1);
   gbl.setConstraints(l1,gbc);

   l2 = new Label("Inserte las respuestas:   ");
   l2.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,2,1,1,1,1, new Insets(5,5,5,5));
   add(l2);
   gbl.setConstraints(l2,gbc);

   l3 = new Label("Respuesta 1:              ");
   l3.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,3,1,1,1,1, new Insets(5,5,5,5));
   add(l3);
   gbl.setConstraints(l3,gbc);

   l4 = new Label("Valor de la respuesta 1");
   l4.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,4,1,1,1,1, new Insets(5,5,5,5));
   add(l4);
   gbl.setConstraints(l4,gbc);

   l5 = new Label("Respuesta 2:             ");
   l5.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,5,1,1,1,1, new Insets(5,5,5,5));
   add(l5);
   gbl.setConstraints(l5,gbc);

   l6 = new Label("Valor de la respuesta 2");
   l6.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,6,1,1,1,1, new Insets(5,5,5,5));
   add(l6);
   gbl.setConstraints(l6,gbc);

   l7 = new Label("Respuesta 3:              ");
   l7.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,7,1,1,1,1, new Insets(5,5,5,5));
   add(l7);
   gbl.setConstraints(l7,gbc);

   l8 = new Label("Valor de la respuesta 3");
   l8.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,8,1,1,1,1, new Insets(5,5,5,5));
   add(l8);
   gbl.setConstraints(l8,gbc);
      

/* Campos de texto */
   gbc = fv.FijarValores(gbc,2,1,3,1,1,3, new Insets(5,5,5,5));
   add(t1 = new TextField(50)); 
   gbl.setConstraints(t1,gbc);

   gbc = fv.FijarValores(gbc,2,3,3,1,1,3, new Insets(5,5,5,5));
   add(t2 = new TextField(50));
   gbl.setConstraints(t2,gbc);

   gbc = fv.FijarValores(gbc,2,4,3,1,1,3, new Insets(5,5,5,5));
   add(t3 = new TextField(50));
   gbl.setConstraints(t3,gbc);
    
   gbc = fv.FijarValores(gbc,2,5,3,1,1,3, new Insets(5,5,5,5));
   add(t4 = new TextField(50));
   gbl.setConstraints(t4,gbc);

   gbc = fv.FijarValores(gbc,2,6,3,1,1,3, new Insets(5,5,5,5));
   add(t5 = new TextField(50));
   gbl.setConstraints(t5,gbc);

   gbc = fv.FijarValores(gbc,2,7,3,1,1,3, new Insets(5,5,5,5));
   add(t6 = new TextField(50));
   gbl.setConstraints(t6,gbc);

   gbc = fv.FijarValores(gbc,2,8,3,1,1,3, new Insets(5,5,5,5));
   add(t7 = new TextField(50));
   gbl.setConstraints(t7,gbc);

/* Botones */
   gbc = fv.FijarValores(gbc,2,10,1,1,1,1, new Insets(5,5,5,5));
   b1 = new Button("Aceptar");
   b1.addActionListener(new Escucha());
   add(b1);
   gbl.setConstraints(b1,gbc);
} // Fin de Componentes


class Escucha implements ActionListener{
   public void actionPerformed (ActionEvent ae){

      if (ae.getActionCommand().equals("Aceptar")){

      if ((t1.getText().equals("")) || (t2.getText().equals("")) || (t3.getText().equals("")) || (t4.getText().equals("")) || (t5.getText().equals("")) || (t6.getText().equals("")) || (t7.getText().equals("")) ){
        Frame f = new Frame();
        DiaAfirma mf = new DiaAfirma( f,"Por favor llene todos los campos de texto ", true);
        mf.setSize(500,200);
        mf.show();
      } // Fin del if
      
      else {

// Se convierte de String a int

    valor1= Integer.valueOf(t3.getText()).intValue(); // Valor de la respuesta 1
    valor2= Integer.valueOf(t5.getText()).intValue(); // Valor de la respuesta 2
    valor3= Integer.valueOf(t7.getText()).intValue(); // Valor de la respuesta 3

    if ((valor1 < 0) || (valor1 >1)){
         Frame f = new Frame();
         DiaAfirma mf = new DiaAfirma( f," Inserte un valor entre 1 y 0 para la respuesta 1",true);
         mf.setSize(450,200);
         mf.show();
    } // Fin del if

    else if ((valor2 < 0) || (valor2 >1)){
         Frame f = new Frame();
         DiaAfirma mf = new DiaAfirma( f," Inserte un valor entre 1 y 0 para la respuesta 2",true);
         mf.setSize(450,200);
         mf.show();
    } // Fin del else if

    else if   ((valor3 < 0) || (valor3 > 1)){
         Frame f = new Frame();
         DiaAfirma mf = new DiaAfirma( f," Inserte un valor entre 1 y 0 para la respuesta 3",true);
         mf.setSize(450,200);
         mf.show();
    } // Fin del else if
  
    else {  
  System.out.println("valor 1 :" +valor1 +"valor2: " +valor2 +"valor3: " +valor3);



// Introduce la pregunta a la tabla PREGUNTAEXAMEN

      aux = ("1" + "|" + "INSERT INTO PREGUNTAEXAMEN VALUES(" + cadena3 + "," +cadena4 +"," + cadena5 +"," + cadena6 +"," + cadena7 +"," + clave +"," + clave+contador+ ",'" +t1.getText() +"')");
System.out.println("El query de pregunta examen es: " +aux);
 
      clt = new Cliente(); 
      clt.envia("hola"); 
      clt.recibir();
      clt.envia("conectar"); 
      clt.recibir(); 
      clt.envia(aux); 
      System.out.println(aux); 
      clt.recibir(); 
      clt.envia("adios");
      clt.recibir();

// Inserta la respuesta 1

      aux = ("1" + "|" + "INSERT INTO RESPUESTAEXAMEN VALUES(" + cadena3 + "," +cadena4 +"," + cadena5 +"," + cadena6 +"," + cadena7 +"," + clave +"," + clave+contador+ "," + clave+contador+"1" + ",'" + t2.getText() +"'," + valor1+")");
      

System.out.println("El query de respuesta 1 es: " +aux);

      clt = new Cliente();
      clt.envia("hola");
      clt.recibir();
      clt.envia("conectar");
      clt.recibir();
      clt.envia(aux);
      System.out.println(aux);
      clt.recibir();
      clt.envia("adios");
      clt.recibir();

// Inserta la respuesta 2 
      aux = ("1" + "|" + "INSERT INTO RESPUESTAEXAMEN VALUES(" + cadena3 + "," +cadena4 +"," + cadena5 +"," + cadena6 +"," + cadena7 +"," + clave +"," + clave+contador+ "," + clave+contador+"2" + ",'" + t4.getText() +"'," + valor2 +")");
      
 
System.out.println("El query de respuesta 1 es: " +aux);
 
      clt = new Cliente();
      clt.envia("hola"); 
      clt.recibir();   
      clt.envia("conectar");
      clt.recibir();
      clt.envia(aux);
      System.out.println(aux);
      clt.recibir();
      clt.envia("adios");
      clt.recibir();    
 

// Inserta la respuesta 3
       aux = ("1" + "|" + "INSERT INTO RESPUESTAEXAMEN VALUES(" + cadena3 + "," +cadena4 +"," + cadena5 +"," + cadena6 +"," + cadena7 +"," + clave +"," + clave+contador+ "," + clave+contador+"3" + ",'" + t6.getText() +"'," + valor3 +")");
      
 
System.out.println("El query de respuesta 3 es: " +aux);
 
      clt = new Cliente();
      clt.envia("hola"); 
      clt.recibir();   
      clt.envia("conectar");
      clt.recibir();
      clt.envia(aux);
      System.out.println(aux);
      clt.recibir();
      clt.envia("adios");
      clt.recibir();    
      dispose();

      } // Fin del if de los valores

   } // Fin del if del boton aceptar
   } // Fin del if que valida que los textfield esten llenos
   } // Fin del actionPerformed
} // Fin de la clase Escucha

} //Fin de  CapturaExam
      

