package profesor;
import fija.*;
import cliente.*;
import java.awt.*;
import java.util.*;
import java.awt.event.*;

/**@autor Hortensia Ericka Ceron Vargas */

/* ConsultaGrp */

/** Este programa muestra una lista con todos los examenes correspondientes
    a un grupo especifico */

public class ConsultaGrp extends Frame{
private Label l1;
private List l;
private Button b1,b2;


private String s, clave_grupo,login,passw,cadena2,cadena3,cadena4,aux,cad,auxpla;
private StringTokenizer sti1, sti2;
private GridBagLayout gbl;
private GridBagConstraints gbc;
private FijarValores fv;
private int contador,total;
private Cliente clt;
private int s1;

/** El Constructor recibe como parametros la clave del grupo, el login
    y password del profesor del grupo */

public ConsultaGrp(String titulo, String clave_grupo, String login, String passw) {
   super(titulo);
   this.s = s;
   this.clave_grupo=clave_grupo;
   this.login=login;
   this.passw=passw;
  System.out.println("clave_grupo " +clave_grupo);
} // Fin del Constructor

/** Este metodo se encarga de establecer los componentes en la pantalla
    mostrando una lista con los examenes correspondientes al grupo elegido
    por el profesor en el programa ConsultaPreg.java */
 
public void Componentes(){
   fv = new FijarValores();
   gbl = new GridBagLayout();
   gbc = new GridBagConstraints();
   setLayout(gbl);

/* Etiquetas */
   l1 = new Label("Seleccione el examen a traer: ");
   l1.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,1,1,1,1,1, new Insets(5,5,5,5));
   add(l1);
   gbl.setConstraints(l1,gbc);

/*Lista */
   l = new List(15);
   l.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,3,4,3,3,4, new Insets(5,5,5,5));
   add(l);
   gbl.setConstraints(l,gbc);

/* Botones */
   gbc = fv.FijarValores(gbc,0,12,1,1,1,1, new Insets(5,5,5,5));
   b1 = new Button("Traer Examen");
   b1.addActionListener(new Escucha());
   add(b1);
   gbl.setConstraints(b1,gbc);

   gbc = fv.FijarValores(gbc,1,12,1,1,1,1, new Insets(5,5,5,5));
   b2 = new Button("Cancelar");
   b2.addActionListener(new Escucha());
   add(b2);
   gbl.setConstraints(b2,gbc);

aux = "4" +"|" +"SELECT e.EXA_CLAVE,e.exa_descripcion FROM EXAMEN e, ASIGNATURAS a WHERE a.PLA_CLAVE=e.PLA_CLAVE AND a.FAC_CLAVE=e.FAC_CLAVE AND a.CAR_CLAVE=e.CAR_CLAVE AND a.MAT_CLAVE=e.MAT_CLAVE AND a.GRU_CLAVE=e.GRU_CLAVE AND a.GRU_CLAVE= " + clave_grupo;
   System.out.println("El caso es: " + aux);
   clt = new Cliente();
   clt.envia("hola");
   clt.recibir();
   clt.envia("conectar");
   clt.recibir();
   clt.recibir();
   clt.envia(aux);
   System.out.println(" Enviando aux: " + aux);
   cad = clt.recibir();

   sti1 = new StringTokenizer(cad, "/");
   System.out.println("Voy a entrar al while");
   if(sti1.hasMoreTokens()==true){
     l.addItem("No. de examen           Descripcion");
      while(sti1.hasMoreTokens()){
         cadena2 = sti1.nextToken();
         sti2 = new StringTokenizer(cadena2, "|");
         while(sti2.hasMoreTokens()){
             cadena3=sti2.nextToken();
             cadena4=sti2.nextToken();

       String aux1 = ( cadena3 + "                           " + cadena4  );
             System.out.println(aux1);
             l.addItem(aux1);
             l.addActionListener(new Escucha());
             l.select(1);
         } // Fin del while sti2
      } // Fin del while sti1
   } // Fin del if
   else{
      System.out.println("No existe el registro");
      Frame f = new Frame();
      Dialogo mf = new Dialogo( f,"No existe grupo con esos datos", true);
      mf.resize(450,150);
      mf.show();
   } // Fin del else
   clt.envia("adios");
   clt.recibir();


} // Fin de Componentes

public void mostrar() {
   setSize(600, 500);
   show();
} //  Fin de mostrar

class Escucha implements ActionListener{
   public void actionPerformed (ActionEvent ae){
      if (ae.getActionCommand().equals("Traer Examen")){
      System.out.println("Traer examen");
      } // Fin del if

      else if (ae.getActionCommand().equals("Cancelar")){
         dispose(); 	// Para que desaparezca de la pantalla
      } // Fin del else if

   } // Fin del actionPerformed
} // Fin de la clase Escucha

} //Fin de  ConsultaGrp
      

