package profesor;
import fija.*;
import cliente.*;
import java.awt.*;
import java.util.*;
import java.awt.event.*;

/**@autor Hortensia Ericka Ceron Vargas */

/* ConsultaLista */

/** Este programa muestra una lista con todos los grupos correspondientes
    al profesor que realiza la consulta, para que eliga un grupo y se le muestre
    una lista de  todos los alumnos que estan inscritos en el grupo */

public class ConsultaLista extends Frame{
private Label l1,l2,l3,l4,l5;
private Choice c1,c2,c3,c4;
private List l;
private TextField t1;
private Button b1,b2,b3;
private String s,login,passw, cadena2,cadena3,cadena4, cadena5,  aux,cad,auxpla,pro_clave,gru_nombre, gru_clave;
private StringTokenizer st, sti1, sti2;
private GridBagLayout gbl;
private GridBagConstraints gbc;
private FijarValores fv;
private int contador,total;
private Cliente clt;
private int s1;

/* Constructor */

public ConsultaLista(String titulo, String login, String passw, String pro_clave) {
   super(titulo);
   this.s = s;
   this.login=login;
   this.passw=passw;
   this.pro_clave=pro_clave;
} // Fin del Constructor

/** Este metodo se encarga de establecer los componentes en la pantalla
    */
 
public void Componentes(){
   fv = new FijarValores();
   gbl = new GridBagLayout();
   gbc = new GridBagConstraints();
   setLayout(gbl);

/* Etiquetas */
   l5 = new Label("Seleccione los datos del grupo del cual desea la lista: ");
   l5.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,1,1,1,1,1, new Insets(5,5,5,5));
   add(l5);
   gbl.setConstraints(l5,gbc);

   l1 = new Label("Plantel: ");
   l1.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,8,1,1,1,1, new Insets(5,5,5,5));
   add(l1);
   gbl.setConstraints(l1,gbc);

   l2 = new Label("Facultad: ");
   l2.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,9,1,1,1,1, new Insets(5,5,5,5));
   add(l2);
   gbl.setConstraints(l2,gbc);

   l3 = new Label("Carrera: ");
   l3.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,10,1,1,1,1, new Insets(5,5,5,5));
   add(l3);
   gbl.setConstraints(l3,gbc);

   l4 = new Label("Materia: ");
   l4.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,11,1,1,1,1, new Insets(5,5,5,5));
   add(l4);
   gbl.setConstraints(l4,gbc);

/*Choice */
  gbc = fv.FijarValores(gbc,1,8,3,1,1,3, new Insets(5,5,5,5));
  add(c1 = new Choice());
  c1.setFont(new Font("TimesRoman",Font.ITALIC,12));
  aux = "6" +"|" +"SELECT PLA_CLAVE ,PLA_NOMBRE FROM PLANTEL";
  clt = new Cliente();
  clt.envia("hola");
  clt.recibir();
  clt.envia("conectar");
  clt.recibir();
  clt.recibir();
  clt.envia(aux);
  cad = clt.recibir();
  sti1 = new StringTokenizer(cad, "/");
  if(sti1.hasMoreTokens()==true){
     while(sti1.hasMoreTokens()){
        cadena2 = sti1.nextToken();
        sti2 = new StringTokenizer(cadena2, "|");
        while(sti2.hasMoreTokens()){
           cadena3=sti2.nextToken();
           cadena4=sti2.nextToken();
           String auxpla = (cadena4);
           System.out.println(auxpla);
           c1.addItem(auxpla);
           gbl.setConstraints(c1,gbc);
        } //Fin del while sti2
     } //Fin del while sti1
  }//fin del if
  else{
     System.out.println("No existe el registro");
  }
  clt.envia("adios");
  clt.recibir();

  gbc = fv.FijarValores(gbc,1,9,3,1,1,3, new Insets(5,5,5,5));
  add(c2 = new Choice());
  c2.setFont(new Font("TimesRoman",Font.ITALIC,12));
  aux = "6" +"|" +"SELECT FAC_CLAVE ,FAC_NOMBRE FROM FACULTAD";
  clt = new Cliente();
  clt.envia("hola");
  clt.recibir();
  clt.envia("conectar");
  clt.recibir();
  clt.recibir();
  clt.envia(aux);
  cad = clt.recibir();
  sti1 = new StringTokenizer(cad, "/");
  if(sti1.hasMoreTokens()==true){
     while(sti1.hasMoreTokens()){
        cadena2 = sti1.nextToken();
        sti2 = new StringTokenizer(cadena2, "|");
        while(sti2.hasMoreTokens()){
           cadena3=sti2.nextToken();
           cadena4=sti2.nextToken();
           String auxfac = (cadena4);
           System.out.println(auxfac);
           c2.addItem(auxfac);
           gbl.setConstraints(c2,gbc);
        } //Fin del while sti2
     } //Fin del while sti1
  }//fin del if
  else{
     System.out.println("No existe el registro");
  }
  clt.envia("adios");
  clt.recibir();

  gbc = fv.FijarValores(gbc,1,10,3,1,1,3, new Insets(5,5,5,5));
  add(c3 = new Choice());
  c3.setFont(new Font("TimesRoman",Font.ITALIC,12));
  aux = "6" +"|" +"SELECT CAR_CLAVE ,CAR_NOMBRE FROM CARRERA";
  clt = new Cliente();
  clt.envia("hola");
  clt.recibir();
  clt.envia("conectar");
  clt.recibir();
  clt.recibir();
  clt.envia(aux);
  cad = clt.recibir();
  sti1 = new StringTokenizer(cad, "/");
  if(sti1.hasMoreTokens()==true){
     while(sti1.hasMoreTokens()){
        cadena2 = sti1.nextToken();
        sti2 = new StringTokenizer(cadena2, "|");
        while(sti2.hasMoreTokens()){
           cadena3=sti2.nextToken();
           cadena4=sti2.nextToken();
           String auxpla = (cadena4);
           System.out.println(auxpla);
           c3.addItem(auxpla);
           gbl.setConstraints(c3,gbc);
        } //Fin del while sti2
     } //Fin del while sti1
  }//fin del if
  else{
     System.out.println("No existe el registro");
  }
  clt.envia("adios");
  clt.recibir();

  gbc = fv.FijarValores(gbc,1,11,3,1,1,3, new Insets(5,5,5,5));
  add(c4 = new Choice());
  c4.setFont(new Font("TimesRoman",Font.ITALIC,12));
  aux = "6" +"|" +"SELECT MAT_CLAVE ,MAT_DESCRIPCION FROM MATERIAS";
  clt = new Cliente();
  clt.envia("hola");
  clt.recibir();
  clt.envia("conectar");
  clt.recibir();
  clt.recibir();
  clt.envia(aux);
  cad = clt.recibir();
  sti1 = new StringTokenizer(cad, "/");
  if(sti1.hasMoreTokens()==true){
     while(sti1.hasMoreTokens()){
        cadena2 = sti1.nextToken();
        sti2 = new StringTokenizer(cadena2, "|");
        while(sti2.hasMoreTokens()){
           cadena3=sti2.nextToken();
           cadena4=sti2.nextToken();
           String auxpla = (cadena4);
           System.out.println(auxpla);
           c4.addItem(auxpla);
           gbl.setConstraints(c4,gbc);
        } //Fin del while sti2
     } //Fin del while sti1
  }//fin del if
  else{
     System.out.println("No existe el registro");
  }
  clt.envia("adios");
  clt.recibir();


/*Lista */
   l = new List(15);
   l.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,3,4,3,3,4, new Insets(5,5,5,5));
   add(l);
   gbl.setConstraints(l,gbc);

/* Botones */
   gbc = fv.FijarValores(gbc,0,12,1,1,1,1, new Insets(5,5,5,5));
   b1 = new Button("Traer Grupos");
   b1.addActionListener(new Escucha());
   add(b1);
   gbl.setConstraints(b1,gbc);

   gbc = fv.FijarValores(gbc,1,12,1,1,1,1, new Insets(5,5,5,5));
   b2 = new Button("Consultar Lista");
   b2.disable();
   b2.addActionListener(new Escucha());
   add(b2);
   gbl.setConstraints(b2,gbc);

   gbc = fv.FijarValores(gbc,3,12,1,1,1,1, new Insets(5,5,5,5));
   b3 = new Button("Cancelar");
   b3.addActionListener(new Escucha());
   add(b3);
   gbl.setConstraints(b3,gbc);


} // Fin de Componentes

public void mostrar() {
   setSize(700, 550);
   show();
} //  Fin de mostrar

class Escucha implements ActionListener{
   public void actionPerformed (ActionEvent ae){
      if (ae.getActionCommand().equals("Traer Grupos")){

         l.removeAll();
  aux = "7" +"|" +"SELECT g.GRU_CLAVE, g.GRU_NOMBRE, a.PRO_CLAVE FROM ASIGNATURAS a, GRUPO g WHERE a.PLA_CLAVE = g.PLA_CLAVE AND a.FAC_CLAVE= g.FAC_CLAVE AND a.CAR_CLAVE = g.CAR_CLAVE AND a.GRU_CLAVE= g.GRU_CLAVE AND a.PLA_CLAVE= grupo_c('" +c1.getSelectedItem()+"' ) AND a.FAC_CLAVE= grupo_a('" + c2.getSelectedItem() + "' ) AND a.CAR_CLAVE = grupo_b('" + c3.getSelectedItem()+"') AND a.PRO_CLAVE= (SELECT PRO_CLAVE FROM PROFESORES WHERE PRO_LOGIN='" + login +"' AND PRO_PASSWORD='" +passw +"')";

   System.out.println("El caso es: " + aux);
   clt = new Cliente();
   clt.envia("hola");
   clt.recibir();
   clt.envia("conectar");
   clt.recibir();
   clt.recibir();
   clt.envia(aux);
   System.out.println(" Enviando aux: " + aux);
   cad = clt.recibir();

   sti1 = new StringTokenizer(cad, "/");
   System.out.println("Voy a entrar al while");
   if(sti1.hasMoreTokens()==true){
     l.addItem("Clave del grupo      " +"Grupo     " + "Clave del profesor");
      while(sti1.hasMoreTokens()){
         cadena2 = sti1.nextToken();
         sti2 = new StringTokenizer(cadena2, "|");
         while(sti2.hasMoreTokens()){
             cadena3=sti2.nextToken();
             cadena4=sti2.nextToken();
             cadena5=sti2.nextToken();

       String aux1 = ("   " +cadena3 +"                         " + cadena4 + "           " + cadena5);
             System.out.println(aux1);
             l.addItem(aux1);
             l.addActionListener(new Escucha());
             l.select(1);
         } // Fin del while sti2
      } // Fin del while sti1
      b2.enable();
   } // Fin del if
   else{
      System.out.println("No existe el registro");
      Frame f = new Frame();
      Dialogo mf = new Dialogo( f,"No existe grupo con esos datos", true);
      mf.resize(450,150);
      mf.show();
   } // Fin del else
   clt.envia("adios");
   clt.recibir();


      } // Fin del if
      else if (ae.getActionCommand().equals("Consultar Lista")){
         System.out.println("CONSULTAR GRUPO");
         st = new StringTokenizer(l.getSelectedItem()," ");
         gru_clave = st.nextToken();
         gru_nombre = st.nextToken(); 
         System.out.println(gru_nombre);
         ListaAlu la = new ListaAlu("Consulta Lista",login,passw,pro_clave,gru_nombre, gru_clave);
         la.Componentes();
         la.mostrar();
      } // Fin del else if

      else if (ae.getActionCommand().equals("Cancelar")){
         dispose(); 	// Para que desaparezca de la pantalla
      } // Fin del else if

   } // Fin del actionPerformed
} // Fin de la clase Escucha

} //Fin de  ConsultaLista
      

