package profesor;
import fija.*;
import cliente.*;
import java.util.*;
import java.awt.*;

/**@autor Hortensia Ericka Ceron Vargas */

/** Este programa muestra un frame para que el profesor introduzca el numero
   de preguntas que desea en su examen. (ES llamado por el programa ExaProfr.java)  */

public class FramePreg extends Frame {

private Label l1,l2,l3;
private TextField t1,t2;
private Button b1, b2;
private String s,grupo,aux, cadena2, cadena3, cadena4, cadena5, cadena6, cadena7,descripcion;
private int s1;
private FijarValores fv;
private ValorRegistro vr;
private GridBagLayout gbl;
private GridBagConstraints gbc;
private StringTokenizer sti1, sti2;
private Cliente clt;
int npreg =0;
 

/** El CONSTRUCTOR recibe como parametros un titulo y el nombre del grupo */
public FramePreg(String titulo, String grupo){
   super(titulo);
   this.s = s;
   this.grupo=grupo;
} // Fin de constructor.


public void Componentes(){

   setLayout(new FlowLayout() );
   setSize(350,200);
   gbl = new GridBagLayout();
   gbc = new GridBagConstraints();
   setLayout(gbl);
   fv = new FijarValores();

   l1 = new Label("Cuantas preguntas va a contener el examen?");
   gbc = fv.FijarValores(gbc,0,1,1,1,1,1, new Insets(5,5,5,5));
   add(l1);
   gbl.setConstraints(l1,gbc);

   l2 = new Label("Cual es la descripcion del examen?");
   gbc = fv.FijarValores(gbc,0,2,1,1,1,1, new Insets(5,5,5,5));
   add(l2);
   gbl.setConstraints(l2,gbc);


   l3 = new Label("Grupo: " +grupo);
   gbc = fv.FijarValores(gbc,0,2,1,1,1,1, new Insets(5,5,5,5));
   add(l3);    
   gbl.setConstraints(l3,gbc);

   t1 = new TextField(2);
   gbc = fv.FijarValores(gbc,1,1,1,1,1,1, new Insets(5,5,5,5));
   add(t1);
   gbl.setConstraints(t1,gbc);

   t2 = new TextField(10);
   gbc = fv.FijarValores(gbc,1,2,1,1,1,1, new Insets(5,5,5,5));
   add(t2);
   gbl.setConstraints(t2,gbc);


   b1 = new Button ("Aceptar");
   gbc = fv.FijarValores(gbc,0,3,1,1,1,1, new Insets(5,5,5,5));
   add(b1);
   gbl.setConstraints(b1,gbc);

   b2 = new Button ("Cancelar");
   gbc = fv.FijarValores(gbc,1,3,1,1,1,1, new Insets(5,5,5,5));
   add(b2);
   gbl.setConstraints(b2,gbc);

}  // Fin de Componentes

public boolean action(Event evt, Object arg) {
   if (evt.target instanceof Button) {
      if (arg.equals("Aceptar") && t1.getText() != "") {
         if ((t1.getText().equals("")) || (t2.getText().equals("")) ){
        Frame f = new Frame();
        DiaAfirma mf = new DiaAfirma( f,"Por favor llene todos los campos de texto ", true);
        mf.setSize(500,200);
        mf.show();
      } // Fin del if
      else {

       s = t1.getText();
         System.out.println(s);
         try{
            s1 = (Integer.valueOf(s)).intValue();
            vr = new ValorRegistro("EXAMEN","EXA_CLAVE= ");
            vr.valor();
            String clave = new Integer(vr.valor()).toString();

         descripcion =t2.getText();
         aux = ("14" + "|" + "SELECT PLA_CLAVE,FAC_CLAVE,CAR_CLAVE,MAT_CLAVE,GRU_CLAVE FROM ASIGNATURAS WHERE GRU_CLAVE= (SELECT GRU_CLAVE FROM GRUPO WHERE GRU_NOMBRE= '" + grupo +"')");

         clt = new Cliente();
         clt.envia("hola");
         clt.recibir();
         clt.envia("conectar");
         clt.recibir();
         clt.recibir();
         clt.envia(aux);
         String cad = clt.recibir();
         sti1 = new StringTokenizer(cad, "/");
         if(sti1.hasMoreTokens()==true){
            while(sti1.hasMoreTokens()){
               cadena2 = sti1.nextToken();
               sti2 = new StringTokenizer(cadena2, "|");
               while(sti2.hasMoreTokens()){
               cadena3=sti2.nextToken();
               cadena4=sti2.nextToken();
               cadena5=sti2.nextToken();
               cadena6=sti2.nextToken();
               cadena7=sti2.nextToken();
           } //Fin del while sti2
         } //Fin del while sti1
      }// Fin del if
      aux = ("1" + "|" + "INSERT INTO EXAMEN VALUES (" + cadena3 + "," +cadena4+"," +cadena5 +"," + cadena6 +"," + cadena7 +"," + clave +",'" +descripcion +"')");

 /*'Examen del grupo "
+ grupo +"')");*/


      clt = new Cliente();
      clt.envia("hola");
      clt.recibir();
      clt.envia("conectar");
      clt.recibir();
      clt.envia(aux);
      System.out.println(aux);
      clt.recibir();
      clt.envia("adios");
      clt.recibir();

            for (int i =1; i<=s1;i++) {
               CapExam ce = new CapExam(" Captura Preguntas",npreg,i, grupo,clave, cadena3, cadena4, cadena5, cadena6, cadena7,t2.getText());
           } // Fin del for
         } // Fin del try

         catch(NumberFormatException e){
             System.out.println(e);
         }// Fin del catch
         dispose();

       // Presenta una caja de dialogo para avisar al usuario que el examen
      // ya esta en sistema

      Frame f = new Frame();
      DiaAfirma mf = new DiaAfirma( f,"Examen en Sistema", true);
      mf.show();
         } // Fin del else
         } // Fin del if de equals
      if (arg.equals("Cancelar")){
         dispose();
      } // Fin del if

      return true;
      } // Fin del if de target
      return false;
   } // Fin del action

class CapExam extends Frame {
private CapturaExam md;

/*CONSTRUCTOR*/
   public CapExam(String titulo,int x, int cont,String grupo, String clave, String cadena3, String cadena4, String cadena5, String cadena6, String cadena7, String descripcion){
      super(titulo);
      try{
         String s2= t1.getText();
         x =(Integer.valueOf(s2).intValue());
      } // Fin del try
      catch(NumberFormatException e){
         System.out.println("Error " +e);
      } // Fin del catch
      md = new CapturaExam(this,"Captura de Preguntas",x,cont,grupo, clave, cadena3, cadena4, cadena5, cadena6, cadena7 ,descripcion);
      System.out.println("x es: " +x);
      System.out.println("cont es : " +cont);
      md.resize(400,400);
      md.show();
    } // Fin de CapExam
} // Fin de la clase CapExam


public void mostrar() {
   setSize(400, 300);
   show();
} //  Fin de mostrar


} // Fin de FramePreg 



