package profesor;
import fija.*;
import cliente.*;
import java.awt.*;
import java.util.*;
import java.awt.event.*;

/**@autor Hortensia Ericka Ceron Vargas */

/* ListaCalif */

/** Este programa muestra la lista de alumnos de un grupo especifico y sus 
    calificaciones y es llamado por ListaAlu.java */

public class ListaCalif extends Frame{
private Label l1,l2;
private Choice c1,c2,c3,c4;
private List l;
private TextField t1;
private Button b1,b2,b3,b4;
private String s,login,passw, cadena2,cadena3,cadena4, cadena5,cadena6,cadena7, cadena8,cadena9,exa_clave,aux,cad,auxpla,pro_clave,gru_nombre, alu_clave, alu_nom,calif, gru_clave;
private StringTokenizer st, sti1, sti2;
private GridBagLayout gbl;
private GridBagConstraints gbc;
private FijarValores fv;
private int contador,total;
private Cliente clt;
private int s1;

/* Constructor */

public ListaCalif(String titulo, String login, String passw, String pro_clave, String gru_nombre, String alu_clave, String alu_nom, String gru_clave) {
   super(titulo);
   this.s = s;
   this.login=login;
   this.passw=passw;
   this.pro_clave=pro_clave;
   this.gru_nombre = gru_nombre;
   this.alu_clave = alu_clave;
   this.alu_nom = alu_nom;
   this.gru_clave = gru_clave;
} // Fin del Constructor

/** Este metodo se encarga de establecer los componentes en la pantalla
    */
 
public void Componentes(){
   fv = new FijarValores();
   gbl = new GridBagLayout();
   gbc = new GridBagConstraints();
   setLayout(gbl);

/* Etiquetas */
   l1 = new Label("Calificaciones del alumno : " + alu_nom);
   l1.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,1,1,1,1,1, new Insets(5,5,5,5));
   add(l1);
   gbl.setConstraints(l1,gbc);

   l2 = new Label("Calificacion a modificar : ");
   l2.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,9,1,1,1,1, new Insets(5,5,5,5));
   add(l2);
   gbl.setConstraints(l2,gbc);

/*Lista */
   l = new List(15);
   l.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,3,4,3,3,4, new Insets(5,5,5,5));
   add(l);
   gbl.setConstraints(l,gbc);

/*Campo de Texto */
   gbc = fv.FijarValores(gbc,1,9,2,1,1,2, new Insets(5,5,5,5));
   t1 = new TextField(4);
   t1.disable();
   add(t1);
   gbl.setConstraints(t1,gbc);

/* Botones */
   gbc = fv.FijarValores(gbc,0,10,1,1,1,1, new Insets(5,5,5,5));
   b1 = new Button("Hoja de Respuestas");
   b1.addActionListener(new Escucha());
   add(b1);
   gbl.setConstraints(b1,gbc);

   gbc = fv.FijarValores(gbc,1,10,1,1,1,1, new Insets(5,5,5,5));
   b2 = new Button("Traer Calificacion");
   b2.addActionListener(new Escucha());
   add(b2);
   gbl.setConstraints(b2,gbc);

   gbc = fv.FijarValores(gbc,2,10,1,1,1,1, new Insets(5,5,5,5));
   b3 = new Button("Modificar Calificacion");
   b3.disable();
   b3.addActionListener(new Escucha());
   add(b3);
   gbl.setConstraints(b3,gbc);

   gbc = fv.FijarValores(gbc,3,10,1,1,1,1, new Insets(5,5,5,5));
   b4 = new Button("Cancelar");
   b4.addActionListener(new Escucha());
   add(b4);
   gbl.setConstraints(b4,gbc);


   aux = "11" +"|" +"SELECT a.ALU_CLAVE, a.ALU_NOMBRE, a.ALU_APELLIDO_P, a.ALU_APELLIDO_M, e.EXA_DESCRIPCION, ev.EVA_CALIFICACION,e.EXA_CLAVE FROM ALUMNOS a, LISTA l, GRUPO g, EXAMEN e, EVALUACIONES ev,PLANTEL p, FACULTAD f, CARRERA c, MATERIAS m WHERE a.ALU_CLAVE = l.ALU_CLAVE AND l.ALU_CLAVE = ev.ALU_CLAVE AND ev.PLA_CLAVE = e.PLA_CLAVE AND ev.PLA_CLAVE = l.PLA_CLAVE AND ev.FAC_CLAVE = e.FAC_CLAVE AND ev.FAC_CLAVE = l.FAC_CLAVE AND ev.CAR_CLAVE = e.CAR_CLAVE AND ev.CAR_CLAVE = l.CAR_CLAVE AND ev.MAT_CLAVE = e.MAT_CLAVE AND ev.MAT_CLAVE = l.MAT_CLAVE AND ev.GRU_CLAVE = e.GRU_CLAVE AND ev.GRU_CLAVE = l.GRU_CLAVE AND ev.GRU_CLAVE = g.GRU_CLAVE AND ev.PLA_CLAVE = p.PLA_CLAVE AND ev. FAC_CLAVE = f.FAC_CLAVE AND ev.CAR_CLAVE = c.CAR_CLAVE AND ev.MAT_CLAVE = m.MAT_CLAVE AND ev.ALU_CLAVE = l.ALU_CLAVE AND ev.ALU_CLAVE = a.ALU_CLAVE AND ev.EXA_CLAVE = e.EXA_CLAVE AND ev.ALU_CLAVE =" + alu_clave +" AND ev.GRU_CLAVE = (SELECT GRU_CLAVE FROM GRUPO WHERE GRU_NOMBRE = '" + gru_nombre +"')";

   clt = new Cliente();
   clt.envia("hola");
   clt.recibir();
   clt.envia("conectar");
   clt.recibir();
   clt.recibir();
   clt.envia(aux);
   cad = clt.recibir();

   sti1 = new StringTokenizer(cad, "/");
   if(sti1.hasMoreTokens()==true){
      l.addItem("Clave Alumno    " + " 	" + " 	Calificacion " + "             	 "+ "Nombre" + "                  	" +"Descripcion del Examen");
      while(sti1.hasMoreTokens()){
         cadena2 = sti1.nextToken();
         sti2 = new StringTokenizer(cadena2, "|");
         while(sti2.hasMoreTokens()){
               cadena3=sti2.nextToken();
               cadena4=sti2.nextToken();
               cadena5=sti2.nextToken();
               cadena6=sti2.nextToken();
               cadena7=sti2.nextToken();
               cadena8=sti2.nextToken();
               cadena9=sti2.nextToken();

               exa_clave = cadena9;
               String aux1 = (cadena3 +"                           " + cadena8 + "                     " + cadena4 +" "+ cadena5+" "+cadena6+"	 	           " +cadena7);
               l.addItem(aux1);
               l.addActionListener(new Escucha());
               l.select(1);
         } //Fin del while sti2
      } //Fin del while sti1
   }// Fin del if
   else{
      System.out.println("No existe el registro");
   } // Fin del else
   clt.envia("adios");
   clt.recibir();




} // Fin de Componentes

public void mostrar() {
   setSize(600, 500);
   show();
} //  Fin de mostrar

class Escucha implements ActionListener{
   public void actionPerformed (ActionEvent ae){
      if (ae.getActionCommand().equals("Hoja de Respuestas")){
         HojaRespuesta f = new HojaRespuesta("Hoja de Respuestas",exa_clave);
         f.Componentes();
         f.mostrar();

         System.out.println("HOja de respuestas");
      } // Fin del else if

      else if (ae.getActionCommand().equals("Traer Calificacion")){
         st = new StringTokenizer(l.getSelectedItem()," ");
         st.nextToken();
         calif = st.nextToken();
         t1.setText(calif);
         b3.enable();
         t1.enable();
      } // Fin del else if

      else if (ae.getActionCommand().equals("Modificar Calificacion")){
         st = new StringTokenizer(l.getSelectedItem()," ");
         st.nextToken();
         calif = st.nextToken();
         aux = ("1" +"|" +"UPDATE EVALUACIONES SET EVA_CALIFICACION="+t1.getText()+" WHERE ALU_CLAVE= " + alu_clave  +" AND  GRU_CLAVE = " + gru_clave);
   System.out.println (aux);
         clt = new Cliente();
         clt.envia("hola");
         clt.recibir();
         clt.envia("conectar");
         clt.recibir();
         clt.envia(aux);
         clt.recibir();
         clt.envia("adios");
         clt.recibir();
         Frame f = new Frame();
         DiaAfirma mf = new DiaAfirma( f,"Calificacion Modificada", true);
         mf.show();
         l.removeAll();
         t1.setText(" ");
         b3.disable();
   aux = "3" +"|" +"SELECT a.ALU_CLAVE, a.ALU_NOMBRE, a.ALU_APELLIDO_P, a.ALU_APELLIDO_M, e.EXA_DESCRIPCION, ev.EVA_CALIFICACION FROM ALUMNOS a, LISTA l, GRUPO g, EXAMEN e, EVALUACIONES ev,PLANTEL p, FACULTAD f, CARRERA c, MATERIAS m WHERE a.ALU_CLAVE = l.ALU_CLAVE AND l.ALU_CLAVE = ev.ALU_CLAVE AND ev.PLA_CLAVE = e.PLA_CLAVE AND ev.PLA_CLAVE = l.PLA_CLAVE AND ev.FAC_CLAVE = e.FAC_CLAVE AND ev.FAC_CLAVE = l.FAC_CLAVE AND ev.CAR_CLAVE = e.CAR_CLAVE AND ev.CAR_CLAVE = l.CAR_CLAVE AND ev.MAT_CLAVE = e.MAT_CLAVE AND ev.MAT_CLAVE = l.MAT_CLAVE AND ev.GRU_CLAVE = e.GRU_CLAVE AND ev.GRU_CLAVE = l.GRU_CLAVE AND ev.GRU_CLAVE = g.GRU_CLAVE AND ev.PLA_CLAVE = p.PLA_CLAVE AND ev. FAC_CLAVE = f.FAC_CLAVE AND ev.CAR_CLAVE = c.CAR_CLAVE AND ev.MAT_CLAVE = m.MAT_CLAVE AND ev.ALU_CLAVE = l.ALU_CLAVE AND ev.ALU_CLAVE = a.ALU_CLAVE AND ev.EXA_CLAVE = e.EXA_CLAVE AND ev.ALU_CLAVE =" + alu_clave +" AND ev.GRU_CLAVE = (SELECT GRU_CLAVE FROM GRUPO WHERE GRU_NOMBRE = '" + gru_nombre +"')";

   clt = new Cliente();
   clt.envia("hola");
   clt.recibir();
   clt.envia("conectar");
   clt.recibir();
   clt.recibir();
   clt.envia(aux);
   cad = clt.recibir();

   sti1 = new StringTokenizer(cad, "/");
   if(sti1.hasMoreTokens()==true){
      l.addItem("Clave Alumno    " + "  " + "   Calificacion " + "               "+ "Nombre" + "                        " +"Descripcion del Examen");
      while(sti1.hasMoreTokens()){
         cadena2 = sti1.nextToken();
         sti2 = new StringTokenizer(cadena2, "|");
         while(sti2.hasMoreTokens()){
               cadena3=sti2.nextToken();
               cadena4=sti2.nextToken();
               cadena5=sti2.nextToken();
               cadena6=sti2.nextToken();
               cadena7=sti2.nextToken();
               cadena8=sti2.nextToken();


               String aux1 = (cadena3 +"                           " + cadena8 + "                     " + cadena4 +" "+ cadena5+" "+cadena6+"                     " +cadena7);
               l.addItem(aux1);
               l.addActionListener(new Escucha());
               l.select(1);
         } //Fin del while sti2
      } //Fin del while sti1
   }// Fin del if
   else{
      System.out.println("No existe el registro");
   } // Fin del else
   clt.envia("adios");
   clt.recibir();


      } // Fin del else if

      else if (ae.getActionCommand().equals("Cancelar")){
         dispose(); 	// Para que desaparezca de la pantalla
      } // Fin del else if

   } // Fin del actionPerformed
} // Fin de la clase Escucha

} //Fin de  ListaCalif
      

