package administrador;
import fija.*;
import cliente.*;
import java.io.*;
import java.awt.*;
import java.net.*;
import java.util.*;
import java.awt.event.*;

/**@autor Hortensia Ericka Ceron Vargas */

/*RegistroAlumno */
/** Este programa realiza las altas de los alumnos dentro del sistema. 
    El login en la tabla de ALUMNOS en la BD es el No. de cuenta
*/
public class RegistroAlumno extends Panel{

private Label l1,l2,l3,l4,l5,l6,l7,l8,l9,l10,l11,l12,l13;
private TextField  t1,t2,t3,t4,t5,t6,t7,t8,t9, t10;
private Choice c1,c2,c3,c5,c6,c7,c9,c10;
private Button b1, b2;
private boolean habil;
private String opcion,aux,readcadena,caso, auxdel, auxent, auxpesc, auxpla, auxcar, auxmat, auxfac, auxgrp, cadena2, cadena3, cadena4,cad;
private GridBagLayout gbl;
private GridBagConstraints gbc;
private FijarValores fv;
private Panel pa,pa1;
private StringTokenizer sti1,sti2;
private ValorRegistro vr;
private Cliente clt;


public RegistroAlumno(){
   setLayout(new BorderLayout());
   pa = new Panel();
   fv = new FijarValores();
   gbl = new GridBagLayout();
   gbc = new GridBagConstraints();
   pa.setLayout(gbl);

/* Etiquetas */
   l1 = new Label("Clave del alumno: ");
   l1.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,3,1,1,1,1, new Insets(5,5,5,5));
   pa.add(l1);
   gbl.setConstraints(l1,gbc);

   l2 = new Label("Nombre:               ");
   l2.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,4,1,1,1,1, new Insets(5,5,5,5));
   pa.add(l2);
   gbl.setConstraints(l2,gbc);

   l3= new Label("Apellido Paterno:");
   l3.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,5,1,1,1,1, new Insets(5,5,5,5));
   pa.add(l3);
   gbl.setConstraints(l3,gbc);

   l4 = new Label("Apellido materno:");
   l4.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,6,1,1,1,1, new Insets(5,5,5,5));
   pa.add(l4);
   gbl.setConstraints(l4 ,gbc);

   l5 = new Label("Password:          ");
   l5.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,8,1,1,1,1, new Insets(5,5,5,5));
   pa.add(l5);
   gbl.setConstraints(l5 ,gbc);

   l6 = new Label("Calle y numero:    ");
   l6.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,9,1,1,1,1, new Insets(5,5,5,5));
   pa.add(l6);
   gbl.setConstraints(l6,gbc);

   l7 = new Label("Colonia:             ");
   l7.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,10,1,1,1,1, new Insets(5,5,5,5));
   pa.add(l7);
   gbl.setConstraints(l7,gbc);

   l8 = new Label("Delegacion:         ");
   l8.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,11,1,1,1,1, new Insets(5,5,5,5));
   pa.add(l8);
   gbl.setConstraints(l8,gbc);

   l9 = new Label("Entidad Federativa:        ");
   l9.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,12,1,1,1,1, new Insets(5,5,5,5));
   pa.add(l9);
   gbl.setConstraints(l9,gbc);

   l10 = new Label("Telefono:              ");
   l10.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,13,1,1,1,1, new Insets(5,5,5,5));
   pa.add(l10);
   gbl.setConstraints(l10,gbc);

   l11 = new Label("e -mail:              ");
   l11.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,14,1,1,1,1, new Insets(5,5,5,5));
   pa.add(l11);
   gbl.setConstraints(l11,gbc);

   l12 = new Label("Escolaridad:            ");
   l12.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,15,1,1,1,1, new Insets(5,5,5,5));
   pa.add(l12);
   gbl.setConstraints(l12,gbc);

   l13 = new Label("No. de Cuenta:           ");
   l13.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,7,1,1,1,1, new Insets(5,5,5,5));
   pa.add(l13);
   gbl.setConstraints(l13 ,gbc);




/* Campos de texto */
   gbc = fv.FijarValores(gbc,2,3,3,1,1,3, new Insets(5,5,5,5));
   t1 = new TextField(5);
   t1.disable();
   pa.add(t1); 
   gbl.setConstraints(t1,gbc);

   gbc = fv.FijarValores(gbc,2,4,3,1,1,3, new Insets(5,5,5,5));
   pa.add(t2 = new TextField(30));
   gbl.setConstraints(t2,gbc);

   gbc = fv.FijarValores(gbc,2,5,3,1,1,3, new Insets(5,5,5,5));
   pa.add(t3 = new TextField(30));
   gbl.setConstraints(t3,gbc);

   gbc = fv.FijarValores(gbc,2,6,3,1,1,3, new Insets(5,5,5,5));
   pa.add(t4 = new TextField(30));
   gbl.setConstraints(t4,gbc);

   gbc = fv.FijarValores(gbc,2,8,3,1,1,3, new Insets(5,5,5,5));
   t5 = new TextField(8);
   t5.setEchoChar('*');
   pa.add(t5);
   gbl.setConstraints(t5,gbc);

   gbc = fv.FijarValores(gbc,2,9,3,1,1,3, new Insets(5,5,5,5));
   pa.add(t6 = new TextField(30));
   gbl.setConstraints(t6,gbc);

   gbc = fv.FijarValores(gbc,2,10,3,1,1,3, new Insets(5,5,5,5));
   pa.add(t7 = new TextField(30));
   gbl.setConstraints(t7,gbc);

   gbc = fv.FijarValores(gbc,2,11,3,1,1,3, new Insets(5,5,5,5));
   pa.add(c5 = new Choice());
   auxdel = "6" +"|" +"SELECT *  FROM DELEGACION"; 
   System.out.println("El caso es: " + auxdel);
   clt = new Cliente();
   clt.envia("hola");
   clt.recibir();
   clt.envia("conectar");
   clt.recibir();
   clt.recibir();
   clt.envia(auxdel);
   System.out.println("El caso es: " + auxdel);
   System.out.println(" Enviando auxdel: " + auxdel);
   cad = clt.recibir();

   sti1 = new StringTokenizer(cad, "/");
   System.out.println("Voy a entrar al while");
   if(sti1.hasMoreTokens()==true){
      while(sti1.hasMoreTokens()){
         cadena2 = sti1.nextToken();
         System.out.println("La cadena dos es: " +cadena2);
         sti2 = new StringTokenizer(cadena2, "|");
         while(sti2.hasMoreTokens()){
            cadena3=sti2.nextToken();
            cadena4=sti2.nextToken();
            String aux1ps = (cadena4);
            System.out.println(aux1ps);
            c5.addItem(aux1ps);
            pa.add(c5);
            gbl.setConstraints(c5,gbc);
         } //Fin del while sti2
      } //Fin del while sti1
   }//fin del if
   else{
      System.out.println("No existe el registro");
   } // Fin del else
   clt.envia("adios");
   clt.recibir();

   gbc = fv.FijarValores(gbc,2,12,3,1,1,3, new Insets(5,5,5,5));
   pa.add(c6 = new Choice());

   auxent = "6" +"|" +"SELECT *  FROM ENTIDAD";
   System.out.println("El caso es: " + auxent);
   clt = new Cliente();
   clt.envia("hola");
   clt.recibir();
   clt.envia("conectar");
   clt.recibir();
   clt.recibir();
   clt.envia(auxent);
   System.out.println(" Enviando auxent: " + auxent);
   cad = clt.recibir();

   sti1 = new StringTokenizer(cad, "/");
   if(sti1.hasMoreTokens()==true){
      while(sti1.hasMoreTokens()){
         cadena2 = sti1.nextToken();
         System.out.println("La cadena dos es: " +cadena2);
         sti2 = new StringTokenizer(cadena2, "|");
         while(sti2.hasMoreTokens()){
            cadena3=sti2.nextToken();
            cadena4=sti2.nextToken();
            String aux1ent = (cadena4);
            System.out.println(aux1ent);
            c6.addItem(aux1ent);        
            pa.add(c6);
            gbl.setConstraints(c6,gbc);
         } //Fin del while sti2
      } //Fin del while sti1
   }//fin del if
   else{
      System.out.println("No existe el registro");
   }
   clt.envia("adios");
   clt.recibir();

   gbc = fv.FijarValores(gbc,2,13,3,1,1,3, new Insets(5,5,5,5));
   pa.add(t8 = new TextField(30));
   gbl.setConstraints(t8,gbc);

   gbc = fv.FijarValores(gbc,2,14,3,1,1,3, new Insets(5,5,5,5));
   pa.add(t9 = new TextField(30));
   gbl.setConstraints(t9,gbc);

   gbc = fv.FijarValores(gbc,2,15,3,1,1,3, new Insets(5,5,5,5));
   pa.add(c1 = new Choice());

   auxpesc = "6" +"|" +"SELECT *  FROM ESCOLARIDAD";
   System.out.println("El caso es: " + aux);
   clt = new Cliente();
   clt.envia("hola");
   clt.recibir();
   clt.envia("conectar");
   clt.recibir();
   clt.recibir();
   clt.envia(auxpesc);
   System.out.println(" Enviando aux: " + auxpesc);
   cad = clt.recibir();

   sti1 = new StringTokenizer(cad, "/");
   if(sti1.hasMoreTokens()==true){
      while(sti1.hasMoreTokens()){
         cadena2 = sti1.nextToken();
         System.out.println("La cadena dos es: " +cadena2);
         sti2 = new StringTokenizer(cadena2, "|");
         while(sti2.hasMoreTokens()){
            cadena3=sti2.nextToken();
            cadena4=sti2.nextToken();
            String aux1pesc = (cadena4);
            System.out.println(aux1pesc);
            c1.addItem(aux1pesc);        
            pa.add(c1);
            gbl.setConstraints(c1,gbc);
         } //Fin del while sti2
      } //Fin del while sti1
   }//fin del if
   else{
      System.out.println("No existe el registro");
   }
   clt.envia("adios");
   clt.recibir();

   gbc = fv.FijarValores(gbc,2,7,3,1,1,3, new Insets(5,5,5,5));
   pa.add(t10 = new TextField(8));
   gbl.setConstraints(t10,gbc);
 

/* Botones */
   gbc = fv.FijarValores(gbc,1,21,1,1,1,1, new Insets(5,5,5,5));
   b1 = new Button("Aceptar");
   b1.addActionListener(new Escucha());
   pa.add(b1);
   gbl.setConstraints(b1,gbc);

   gbc = fv.FijarValores(gbc,3,21,1,1,1,1, new Insets(5,5,5,5));
   b2 = new Button("Cancelar");
   b2.addActionListener(new Escucha());
   pa.add(b2);
   gbl.setConstraints(b2,gbc);
   add("Center",pa);

   vr = new ValorRegistro("ALUMNOS","ALU_CLAVE= ");
   vr.valor();
   String tmp = new Integer(vr.valor()).toString();
   t1.setText(tmp);

} // Fin de Componentes de Registro Alumno

class Escucha implements ActionListener{
   public void actionPerformed (ActionEvent ae){
      if (ae.getActionCommand().equals("Aceptar")){
         aux = ("1" +"|" +"INSERT INTO ALUMNOS VALUES(" + t1.getText()+",'"+t2.getText()+"','"+t3.getText()+"','"+t4.getText()+"','"+ t10.getText() +"','" + t5.getText() +"','" +t6.getText()+"','"+t7.getText()+"',"+t8.getText() +",'"+ t9.getText()+ "',clave_a('" +c1.getSelectedItem()+"'), clave_b('"+c5.getSelectedItem() +"'),clave_c('" +c6.getSelectedItem()+"'))");

         clt = new Cliente();
         clt.envia("hola");
         clt.recibir();
         clt.envia("conectar");
         clt.recibir();
         clt.envia(aux);
         System.out.println(aux);
         clt.recibir();
         clt.envia("adios");
         clt.recibir();
         Frame f = new Frame();
         DiaAfirma mf = new DiaAfirma( f,"Alumno dado de alta", true);
         mf.show();
         t2.setText(" ");
         t3.setText(" ");
         t4.setText(" ");
         t5.setText(" ");
         t6.setText(" ");
         t7.setText(" ");
         t8.setText(" ");
         t9.setText(" ");
         t10.setText(" ");

         vr = new ValorRegistro("GRUPO","GRU_CLAVE= ");
         vr.valor();
         String tmp = new Integer(vr.valor()).toString();
         t1.setText(tmp);
      } // Fin del if
      else {
         pa.hide();
      } // Fin del else
   } // Fin del actionPerformed
} // Fin de la clase Escucha

} // Fin de Registro Alumno
