package administrador;
import fija.*;
import cliente.*;
import java.io.*;
import java.awt.*;
import java.net.*;
import java.util.*;
import java.awt.event.*;

/**@autor Hortensia Ericka Ceron Vargas */

/* RegistroFacultad.java*/

/** Este programa realiza las altas de las facultades */

public class RegistroFacultad extends Panel{

private FijarValores fv;
private GridBagLayout gbl;
private GridBagConstraints gbc;
private Label l1,l2,l3;
private TextField t1,t2;
private Choice c1;
private Button b1,b2;
private String aux,readcadena, cadena2, cadena3,cad;
private Panel pa;
private StringTokenizer sti1,sti2;
private ValorRegistro vr;
private Cliente clt;

public RegistroFacultad(){
   setLayout(new BorderLayout());
   pa = new Panel();
   fv = new FijarValores();
   gbl = new GridBagLayout();
   gbc = new GridBagConstraints();
   pa.setLayout(gbl);

/* Etiquetas */
   l1 = new Label("Clave de la facultad: ");
   l1.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,3,1,1,1,1, new Insets(5,5,5,5));
   pa.add(l1);
   gbl.setConstraints(l1,gbc);

   l2 = new Label(" Nombre de la facultad: ");
   l2.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,5,1,1,1,1, new Insets(5,5,5,5));
   pa.add(l2);
   gbl.setConstraints(l2,gbc);

   l3 = new Label("Plantel: ");
   l3.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,6,1,1,1,1, new Insets(5,5,5,5));
   pa.add(l3);
   gbl.setConstraints(l3,gbc);


/* Campos de texto */
   gbc = fv.FijarValores(gbc,2,3,3,1,1,3, new Insets(5,5,5,5));
   t1= new TextField(5);
   t1.disable();
   pa.add(t1);
   gbl.setConstraints(t1,gbc);

   gbc = fv.FijarValores(gbc,2,5,3,1,1,3, new Insets(5,5,5,5));
   pa.add(t2= new TextField(30));
   gbl.setConstraints(t2,gbc);


/* Choices */
   gbc = fv.FijarValores(gbc,2,6,1,1,1,1, new Insets(5,5,5,5));
   pa.add(c1 = new Choice());
   c1.setFont(new Font("TimesRoman",Font.ITALIC,14));

   aux = "8" +"|" +"SELECT PLA_NOMBRE FROM PLANTEL"; 
   System.out.println("El caso es: " + aux);

   clt = new Cliente();
   clt.envia("hola");
   clt.recibir();
   clt.envia("conectar");
   clt.recibir();
   clt.recibir();
   clt.envia(aux);
   System.out.println("El caso es: " + aux);
   System.out.println(" Enviando aux: " + aux);

   String cad = clt.recibir();

   sti1 = new StringTokenizer(cad, "/");
   System.out.println("Voy a entrar al while");
   if(sti1.hasMoreTokens()==true){
      while(sti1.hasMoreTokens()){
         cadena2 = sti1.nextToken();
         System.out.println("La cadena dos es: " +cadena2);
         sti2 = new StringTokenizer(cadena2, "|");
         while(sti2.hasMoreTokens()){
            cadena3=sti2.nextToken();
            String auxpla = (cadena3);
            System.out.println(auxpla);
            c1.addItem(auxpla);
            gbl.setConstraints(c1,gbc);
         } //Fin del while sti2
      } //Fin del while sti1
   }//fin del if
   else{
      System.out.println("No existe el registro");
   }
   clt.envia("adios");
   clt.recibir();

/*Botones */
   gbc = fv.FijarValores(gbc,0,20,1,1,1,1, new Insets(5,5,5,5));
   b1 = new Button("Aceptar");
   b1.addActionListener(new Escucha());
   pa.add(b1);
   gbl.setConstraints(b1,gbc);

   gbc = fv.FijarValores(gbc,2,20,1,1,1,1, new Insets(5,5,5,5));
   b2 = new Button("Cancelar");
   b2.addActionListener(new Escucha());
   pa.add(b2);
   gbl.setConstraints(b2,gbc);
   add("Center",pa);

   vr = new ValorRegistro("FACULTAD","FAC_CLAVE= ");   
   vr.valor();
   String tmp = new Integer(vr.valor()).toString();
   t1.setText(tmp);

} // Fin de Componente Registro facultad

class Escucha implements ActionListener{
   public void actionPerformed (ActionEvent ae) {
      if (ae.getActionCommand().equals("Aceptar")) {

         aux =("1" +"|" +"INSERT INTO FACULTAD VALUES(grupo_c('" +c1.getSelectedItem()+"')," +t1.getText() +",'"+t2.getText()+"')");
System.out.println(aux);
         clt = new Cliente();
         clt.envia("hola");
         clt.recibir();
         clt.envia("conectar");
         clt.recibir();
         clt.envia(aux);
         clt.recibir();
         clt.envia("adios");
         clt.recibir();
         Frame f = new Frame();
         DiaAfirma mf = new DiaAfirma( f,"Facultad dada de alta", true);
         mf.show();
         vr = new ValorRegistro("FACULTAD","FAC_CLAVE= ");
         vr.valor();
         String tmp = new Integer(vr.valor()).toString();
         t1.setText(tmp);
         t2.setText(" ");
      } // Fin del if
      else  if (ae.getActionCommand().equals("Cancelar")){
         pa.hide();
      } // Fin del else
   } // Fin del actionPerformed
} // Fin de la clase Escucha

} // Fin de RegistroFacultad
