package alumno;
import fija.*;
import cliente.*;
import utilerias.*;
import java.awt.*;
import java.util.*;
import java.awt.event.*;
import utilerias.CheckboxPanel;
import utilerias.CheckboxGroupPanel;

/**@autor Hortensia Ericka Ceron Vargas */

/*ClaveExam */

/** Este programa muestra al alumno una lista de las materias y grupos en los que esta inscrito . Es llamado por Materias.java */

public class ClaveExam extends Frame{

private Button b1, b2;
private Label l1;
private TextField t1;
private String login,passw,alu_clave, cadena2, cadena3,aux,cad, exa_clave, mat_nom,gru_nombre;
private GridBagLayout gbl;
private GridBagConstraints gbc;
private StringTokenizer st, sti1, sti2;
private Cliente clt;
private FijarValores fv;
CheckboxGroupPanel checkboxGroupPanel;
private int y =1;

/* Constructor */

public ClaveExam(String titulo, String login, String passw, String alu_clave, String mat_nom, String gru_nombre){
   super(titulo);
   this.login=login;
   this.passw=passw;
   this.alu_clave=alu_clave;
   this.mat_nom = mat_nom;
   this.gru_nombre = gru_nombre;
} // Fin de constructor.


public void Componentes(){
   fv = new FijarValores();
   gbl = new GridBagLayout();
   gbc = new GridBagConstraints();
   setLayout(gbl);

/* Etiquetas */
   l1 = new Label("Cual es la clave del examen a realizar? ");
   l1.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,1,1,1,1,1, new Insets(5,5,5,5));
   add(l1);
   gbl.setConstraints(l1,gbc);

/* Campo de Texto */
   gbc = fv.FijarValores(gbc,1,1,2,1,1,2, new Insets(5,5,5,5));
   t1 = new TextField(5);
   add(t1);
   gbl.setConstraints(t1,gbc);


/* Botones */
   gbc = fv.FijarValores(gbc,0,15,1,1,1,1, new Insets(5,5,5,5));
   b1 = new Button("Aceptar");
   add(b1);
   b1.addActionListener(new Escucha());
   gbl.setConstraints(b1,gbc);

   gbc = fv.FijarValores(gbc,2,15,1,1,1,1, new Insets(5,5,5,5));
   b2 = new Button("Cancelar");
   add(b2);
   b2.addActionListener(new Escucha());
   gbl.setConstraints(b2,gbc);

} // Fin de Componentes

class Escucha implements ActionListener{
   public void actionPerformed (ActionEvent ae){
      if (ae.getActionCommand().equals("Aceptar")){
     if (t1.getText().equals("")){

       Frame f = new Frame();
       Dialogo mf = new Dialogo( f,"Por favor proporcione la clave" , true);
       mf.setSize(380,150);
       mf.show();
     } // Fin del if
     else {
         aux = "8" +"|" + "SELECT EXA_CLAVE from EXAMEN where EXA_CLAVE = " + t1.getText();
         clt = new Cliente();
         clt.envia("hola");
         clt.recibir();
         clt.envia("conectar");
         clt.recibir();
         clt.recibir();
         clt.envia(aux);
         cad = clt.recibir();

         sti1 = new StringTokenizer(cad, "/");
           if(sti1.hasMoreTokens()==true){
              while(sti1.hasMoreTokens()){
               cadena2 = sti1.nextToken();
               sti2 = new StringTokenizer(cadena2, "|");
               while(sti2.hasMoreTokens()){
                  cadena3=sti2.nextToken();
                  exa_clave = (cadena3);
                } //Fin del while sti2
              } // Fin del while sti1
System.out.println("Antes del setup");
System.out.println("Despues del setup");

Date today = new Date();
System.out.println("hora es: " + today.toLocaleString());

               Examen f1 = new Examen("Examen", exa_clave,mat_nom,gru_nombre,alu_clave,1,1, false);
               f1.setSize(600,600);
               f1.Componentes(1,1);
               f1.mostrar();

          }// Fin del if

          else{
            System.out.println("No existe el registro");
            Frame f = new Frame();
            Dialogo mf = new Dialogo( f,"Clave no autorizada", true);
            mf.show();
          } // Fin del else

         clt.envia("adios");
         clt.recibir();
       } // Fin del else
      } // Fin del if

      else if (ae.getActionCommand().equals("Cancelar")){
            dispose();
      } //Fin del elseif
   } // Fin del actionPerformed
} // Fin de la clase Escucha


public void mostrar() {
   setSize(450, 350);
   show();
} // Fin de mostrar

} // Fin de ClaveExam


