package alumno;
import fija.*;
import cliente.*;
import java.awt.*;
import java.util.*;
import java.awt.event.*;

/**@autor Hortensia Ericka Ceron Vargas */

/*Materias */

/** Este programa muestra al alumno una lista de las materias pectivos grupos en los que esta inscrito*/

public class Materias extends Frame{

private Button b1, b2;
private Label l1;
private String login,passw,alu_clave, cadena2, cadena3, cadena4,aux,cad,mat_nom,gru_nombre;
private List l;
private GridBagLayout gbl;
private GridBagConstraints gbc;
private StringTokenizer st, sti1, sti2;
private Cliente clt;
private FijarValores fv;

/* Constructor */

public Materias(String titulo, String login, String passw, String alu_clave){
   super(titulo);
   this.login=login;
   this.passw=passw;
   this.alu_clave=alu_clave;
} // Fin de constructor.



public void Componentes(){
   fv = new FijarValores();
   gbl = new GridBagLayout();
   gbc = new GridBagConstraints();
   setLayout(gbl);

/* Etiquetas */
   l1 = new Label("Seleccione el grupo en el que va a realizar el examen: ");
   l1.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,1,1,1,1,1, new Insets(5,5,5,5));
   add(l1);
   gbl.setConstraints(l1,gbc);


/*Lista */
   l = new List(15);
   l.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,3,4,3,3,4, new Insets(5,5,5,5));
   add(l);
   gbl.setConstraints(l,gbc);

/* Botones */
   gbc = fv.FijarValores(gbc,0,15,1,1,1,1, new Insets(5,5,5,5));
   b1 = new Button("Aceptar");
   add(b1);
   b1.addActionListener(new Escucha());
   gbl.setConstraints(b1,gbc);

   gbc = fv.FijarValores(gbc,2,15,1,1,1,1, new Insets(5,5,5,5));
   b2 = new Button("Cancelar");
   add(b2);
   b2.addActionListener(new Escucha());
   gbl.setConstraints(b2,gbc);

   aux = "4" +"|" +"SELECT m.MAT_DESCRIPCION, g.GRU_NOMBRE FROM LISTA l, MATERIAS m, ASIGNATURAS s, GRUPO g, ALUMNOS a WHERE l.PLA_CLAVE = s.PLA_CLAVE AND l.FAC_CLAVE = s.FAC_CLAVE AND l.CAR_CLAVE = s.CAR_CLAVE AND l.MAT_CLAVE = s.MAT_CLAVE AND l.GRU_CLAVE = s.GRU_CLAVE AND l.GRU_CLAVE = g.GRU_CLAVE AND l.MAT_CLAVE = m.MAT_CLAVE AND l.ALU_CLAVE = a.ALU_CLAVE AND l.ALU_CLAVE =" +alu_clave +" ORDER BY m.MAT_DESCRIPCION";

   clt = new Cliente();
   clt.envia("hola");
   clt.recibir();
   clt.envia("conectar");
   clt.recibir();
   clt.recibir();
   clt.envia(aux);
   cad = clt.recibir();

   sti1 = new StringTokenizer(cad, "/");
   if(sti1.hasMoreTokens()==true){
      l.addItem(" Materia     " + "	" + " Grupo ");
      while(sti1.hasMoreTokens()){
         cadena2 = sti1.nextToken();
         sti2 = new StringTokenizer(cadena2, "|");
         while(sti2.hasMoreTokens()){
               cadena3=sti2.nextToken();
               cadena4=sti2.nextToken();
               String aux1 = (cadena3 +"        " + cadena4); 
               l.addItem(aux1);
               l.addActionListener(new Escucha());
               l.select(1);
         } //Fin del while sti2
      } //Fin del while sti1
   }// Fin del if
   else{
      System.out.println("No existe el registro");
   } // Fin del else
   clt.envia("adios");
   clt.recibir();


} // Fin de Componentes

class Escucha implements ActionListener{
   public void actionPerformed (ActionEvent ae){
      if (ae.getActionCommand().equals("Aceptar")){
         st = new StringTokenizer(l.getSelectedItem()," ");
         mat_nom = st.nextToken();
         gru_nombre = st.nextToken();

         ClaveExam f1 = new ClaveExam("Clave del examen",login,passw,alu_clave,mat_nom,gru_nombre);
            f1.Componentes();
            f1.mostrar();
       System.out.println("Enviar exam");
      } //Fin del if
      else if (ae.getActionCommand().equals("Cancelar")){
            dispose();
      } //Fin del elseif
   } // Fin del actionPerformed
} // Fin de la clase Escucha

public void mostrar() {
   setSize(600, 500);
   show();
} // Fin de mostrar

} // Fin de Materias


