package profesor;
import fija.*;
import cliente.*;
import java.awt.*;
import java.util.*;
import java.awt.event.*;

/**@autor Hortensia Ericka Ceron Vargas */

/* ConsultaPreg */

/** Este programa muestra una lista con todos los examenes correspondientes
    a un grupo especifico , para que el profesor seleccione el examen en el 
    que desea consultar los reactivos */

public class ConsultaPreg extends Frame{
private Label l1,l2;
private List l;
private Button b1,b2,b3,b4;
private String s,login,passw,cadena2,cadena3,cadena4,aux,cad,auxpla;
private StringTokenizer st, sti1, sti2;
private GridBagLayout gbl;
private GridBagConstraints gbc;
private FijarValores fv;
private int contador,total;
private Cliente clt;
private int s1;

/** El Constructor recibe como parametros un titulo, el login
    y password del profesor del grupo */

public ConsultaPreg(String titulo,String login, String passw) {
   super(titulo);
   this.s = s;
   this.login=login;
   this.passw=passw;
} // Fin del Constructor

/** Este metodo se encarga de establecer los componentes en la pantalla
    mostrando una lista con los examenes correspondientes al grupo elegido
    por el profesor en el programa ConsultaPreg.java */
 
public void Componentes(){
   fv = new FijarValores();
   gbl = new GridBagLayout();
   gbc = new GridBagConstraints();
   setLayout(gbl);

/* Etiquetas */
   l1 = new Label("Seleccione el examen a traer: ");
   l1.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,1,1,1,1,1, new Insets(5,5,5,5));
   add(l1);
   gbl.setConstraints(l1,gbc);

/*Lista */
   l = new List(15);
   l.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,3,4,3,3,4, new Insets(5,5,5,5));
   add(l);
   gbl.setConstraints(l,gbc);

/* Botones */
   gbc = fv.FijarValores(gbc,0,12,1,1,1,1, new Insets(5,5,5,5));
   b1 = new Button("Traer Examen");
   b1.addActionListener(new Escucha());
   add(b1);
   gbl.setConstraints(b1,gbc);

   gbc = fv.FijarValores(gbc,1,12,1,1,1,1, new Insets(5,5,5,5));
   b3 = new Button("Eliminar Examen");
   b3.addActionListener(new Escucha());
   add(b3);
   gbl.setConstraints(b3,gbc);


   gbc = fv.FijarValores(gbc,2,12,1,1,1,1, new Insets(5,5,5,5));
   b2 = new Button("Cancelar");
   b2.addActionListener(new Escucha());
   add(b2);
   gbl.setConstraints(b2,gbc);

aux = "4" +"|" +"SELECT e.EXA_CLAVE,e.exa_descripcion FROM EXAMEN e, ASIGNATURAS a WHERE a.PLA_CLAVE=e.PLA_CLAVE AND a.FAC_CLAVE=e.FAC_CLAVE AND a.CAR_CLAVE=e.CAR_CLAVE AND a.MAT_CLAVE=e.MAT_CLAVE AND a.GRU_CLAVE=e.GRU_CLAVE AND a.PRO_CLAVE=(SELECT PRO_CLAVE FROM PROFESORES WHERE PRO_LOGIN='" +login +"' AND PRO_PASSWORD='" +passw +"')";
   System.out.println("El caso es: " + aux);
   clt = new Cliente();
   clt.envia("hola");
   clt.recibir();
   clt.envia("conectar");
   clt.recibir();
   clt.recibir();
   clt.envia(aux);
   System.out.println(" Enviando aux: " + aux);
   cad = clt.recibir();

   sti1 = new StringTokenizer(cad, "/");
   System.out.println("Voy a entrar al while");
   if(sti1.hasMoreTokens()==true){
     l.addItem("No. de examen           Descripcion");
      while(sti1.hasMoreTokens()){
         cadena2 = sti1.nextToken();
         sti2 = new StringTokenizer(cadena2, "|");
         while(sti2.hasMoreTokens()){
             cadena3=sti2.nextToken();
             cadena4=sti2.nextToken();

       String aux1 = ( cadena3 + "                           " + cadena4  );
             System.out.println(aux1);
             l.addItem(aux1);
             l.addActionListener(new Escucha());
             l.select(1);
         } // Fin del while sti2
      } // Fin del while sti1
   } // Fin del if
   else{
      System.out.println("No existe el registro");
      Frame f = new Frame();
      Dialogo mf = new Dialogo( f,"No existe el registro en la BD", true);
      mf.resize(450,150);
      mf.show();
   } // Fin del else
   clt.envia("adios");
   clt.recibir();


} // Fin de Componentes

public void mostrar() {
   setSize(600, 500);
   show();
} //  Fin de mostrar

class Escucha implements ActionListener{
   public void actionPerformed (ActionEvent ae){
      if (ae.getActionCommand().equals("Traer Examen")){
         System.out.println("Traer examen");
         st = new StringTokenizer(l.getSelectedItem()," ");
         String exa_clave = st.nextToken(); // contiene la clave del examen
         System.out.println("la clave del esamen es: " +exa_clave);
         Examen f1 = new Examen("Examen", exa_clave);
         f1.setSize(600,600);
         f1.Componentes(1,1);
         f1.mostrar();

      } // Fin del if

      else if (ae.getActionCommand().equals("Cancelar")){
         dispose(); 	// Para que desaparezca de la pantalla
      } // Fin del else if

      else if (ae.getActionCommand().equals("Eliminar Examen")){
System.out.println("eliminando examen");
        st = new StringTokenizer(l.getSelectedItem()," ");
        String exa_clave = st.nextToken(); // contiene la clave del examen
         Confirma cf  = new Confirma("Confirmacion",exa_clave);
         cf.Componentes();
         cf.setSize(400,200);
         cf.show();
     } // Fin del else if de Eliminar examen

   } // Fin del actionPerformed
} // Fin de la clase Escucha


public class Confirma extends Frame {
String s,exa_clave;

/* CONSTRUCTOR */
public Confirma (String titulo,String exa_clave){
   super(titulo);
   this.s = s;
   this.exa_clave = exa_clave;
} // Fin del constructor

public void Componentes(){
   setLayout(new FlowLayout());
   l2 = new Label ("Esta seguro de borrrar el examen: " + l.getSelectedItem());
   gbc = fv.FijarValores(gbc,1,1,1,1,1,1, new Insets(5,5,5,5));
   add(l2);
   gbl.setConstraints(l2,gbc);

   gbc = fv.FijarValores(gbc,2,3,1,1,1,1, new Insets(5,5,5,5));
   b3 = new Button("ACEPTAR");
   b3.addActionListener(new Escucha());
   add(b3);
   gbl.setConstraints(b3,gbc);

   gbc = fv.FijarValores(gbc,2,2,1,1,1,1, new Insets(5,5,5,5));
   b4 = new Button ("CANCELAR");
   b4.addActionListener(new Escucha());
   add(b4);
   gbl.setConstraints(b4,gbc);
} // Fin de Componentes

class Escucha implements ActionListener{
   public void actionPerformed (ActionEvent ae){
      if (ae.getActionCommand().equals("ACEPTAR")){

         aux = ("5" + "|" + "DELETE FROM RESPUESTAEXAMEN WHERE EXA_CLAVE=" +exa_clave);
         clt = new Cliente();
         clt.envia("hola");
         clt.recibir();
         clt.envia("conectar");
         clt.recibir();
         clt.envia(aux);
         clt.recibir();
         clt.envia("adios");
         clt.recibir();
         aux = ("5" + "|" + "DELETE FROM PREGUNTAEXAMEN WHERE EXA_CLAVE=" + exa_clave);
         clt = new Cliente();
         clt.envia("hola");
         clt.recibir();
         clt.envia("conectar");
         clt.recibir();
         clt.envia(aux);
         clt.recibir();
         clt.envia("adios");
         clt.recibir();

         aux = ("5" + "|" + "DELETE FROM EXAMEN WHERE EXA_CLAVE ="  +exa_clave);
         clt = new Cliente();
         clt.envia("hola");
         clt.recibir();
         clt.envia("conectar");
         clt.recibir();
         clt.envia(aux);
         clt.recibir();
         clt.envia("adios");
         clt.recibir();
         dispose();
         l.removeAll();

         Frame f = new Frame();
         DiaAfirma mf = new DiaAfirma( f," Examen eliminado",true);
         mf.setSize(400,200);
         mf.show();


aux = "4" +"|" +"SELECT e.EXA_CLAVE,e.exa_descripcion FROM EXAMEN e, ASIGNATURAS a WHERE a.PLA_CLAVE=e.PLA_CLAVE AND a.FAC_CLAVE=e.FAC_CLAVE AND a.CAR_CLAVE=e.CAR_CLAVE AND a.MAT_CLAVE=e.MAT_CLAVE AND a.GRU_CLAVE=e.GRU_CLAVE AND a.PRO_CLAVE=(SELECT PRO_CLAVE FROM PROFESORES WHERE PRO_LOGIN='" +login +"' AND PRO_PASSWORD='" +passw +"')";
   System.out.println("El caso es: " + aux);
   clt = new Cliente();
   clt.envia("hola");
   clt.recibir();
   clt.envia("conectar");
   clt.recibir();
   clt.recibir();
   clt.envia(aux);
   System.out.println(" Enviando aux: " + aux);
   cad = clt.recibir();

   sti1 = new StringTokenizer(cad, "/");
   System.out.println("Voy a entrar al while");
   if(sti1.hasMoreTokens()==true){
     l.addItem("No. de examen           Descripcion");
      while(sti1.hasMoreTokens()){
         cadena2 = sti1.nextToken();
         sti2 = new StringTokenizer(cadena2, "|");
         while(sti2.hasMoreTokens()){
             cadena3=sti2.nextToken();
             cadena4=sti2.nextToken();

       String aux1 = ( cadena3 + "                           " + cadena4  );
             System.out.println(aux1);
             l.addItem(aux1);
             l.addActionListener(new Escucha());
             l.select(1);
         } // Fin del while sti2
      } // Fin del while sti1
   } // Fin del if
   else{
      System.out.println("No existe el registro");
      Frame fx = new Frame();
      Dialogo mf1 = new Dialogo( fx,"No existe el registro en la BD", true);
      mf1.resize(450,150);
      mf1.show();
   } // Fin del else
   clt.envia("adios");
   clt.recibir();


      } // Fin del else if
      else if (ae.getActionCommand().equals("CANCELAR")) {
         dispose();
      } // Fin del else

   } // Fin del actionPerformed
} // Fin de la clase Escucha

} //Fin de  Confirma
} //Fin de  ConsultaPreg

      
