package profesor;
import fija.*;
import cliente.*;
import java.net.*;
import java.sql.*;
import java.util.*;
import java.io.*;
import profesor.*;
import java.awt.event.*;
import java.awt.*;
import java.applet.*;

/**@autor Hortensia Ericka Ceron Vargas */

/** Este programa muestra la pagina de control de acceso para el profesor 
    compara login y password proporcionado pro el profesor con el login
    y password que se encuentra en la base de datos */

public class ControlProfesor extends Frame {
private FijarValores fv;
private GridBagLayout gbl;
private GridBagConstraints gbc;
private TextField t1,t2;
private Label l1,l2;
private Button b1,b2;
private int ancho_fondo,altura_fondo;
private String cadena2, cadena3, cadena4, cadena5, aux, login, passw,pro_clave, cad;
private Image image;
private StringTokenizer sti1,sti2;
private Cliente clt;

/*b es aceptar y b1 cancelar*/

public ControlProfesor(String titulo) {
   super(titulo);

   gbl = new GridBagLayout();
   gbc = new GridBagConstraints();
   setLayout(gbl);
   fv = new FijarValores();
   
   l1 = new Label("Login:");
   gbc = fv.FijarValores(gbc,0,1,1,1,1,1, new Insets(5,5,5,5));
   add(l1);
   gbl.setConstraints(l1,gbc);

   t1 = new TextField(10);
   gbc = fv.FijarValores(gbc,1,1,1,1,1,1, new Insets(5,5,5,5));
   add(t1);
   gbl.setConstraints(t1,gbc);

   l2 = new Label("Password:");
   gbc = fv.FijarValores(gbc,0,2,1,1,1,1, new Insets(5,5,5,5));
   add(l2);
   gbl.setConstraints(l2,gbc);

   t2 = new TextField(10);
   gbc = fv.FijarValores(gbc,1,2,1,1,1,1, new Insets(5,5,5,5));
   t2.setEchoChar('*');
   add(t2);
   gbl.setConstraints(t2,gbc);

   b1 = new Button("Aceptar");
   gbc = fv.FijarValores(gbc,0,3,1,1,1,1, new Insets(5,5,5,5));
   b1.addActionListener(new Escucha());
   add(b1);
   gbl.setConstraints(b1,gbc);

   b2 = new Button("Cancelar");
   gbc = fv.FijarValores(gbc,1,3,1,1,1,1, new Insets(5,5,5,5));
   b2.addActionListener(new Escucha());
   add(b2);
   gbl.setConstraints(b2,gbc);

} // Fin del Constructor  ControAdmon

public void mostrar() {
   setSize(400, 300);
   show();
} // Fin de mostrar


class  Escucha implements ActionListener{
public void actionPerformed (ActionEvent ae){
   if(ae.getActionCommand().equals("Aceptar")){
      if ((t1.getText().equals("")) || (t2.getText().equals(""))){
        Frame f = new Frame();
        DiaAfirma mf = new DiaAfirma( f,"Por favor inserte login y password", true);
        mf.setSize(500,200);
        mf.show();
      } // Fin del if
      else {
         aux=("7" +"|" +"SELECT PRO_LOGIN, PRO_PASSWORD ,PRO_CLAVE from PROFESORES WHERE PRO_LOGIN='" +t1.getText() +"'  AND PRO_PASSWORD='" +t2.getText() +"'");
         clt = new Cliente();
         clt.envia("hola");
         clt.recibir();
         clt.envia("conectar");
         clt.recibir();
         clt.recibir();
         clt.envia(aux);
         cad = clt.recibir();

         sti1 = new StringTokenizer(cad, "/");
           if(sti1.hasMoreTokens()==true){
              while(sti1.hasMoreTokens()){
               cadena2 = sti1.nextToken();
               sti2 = new StringTokenizer(cadena2, "|");
               while(sti2.hasMoreTokens()){
                  cadena3=sti2.nextToken();
                  cadena4=sti2.nextToken();
                  cadena5=sti2.nextToken();
                  login = (cadena3);
                  passw = (cadena4);
                  pro_clave = (cadena5);
                } //Fin del while sti2
              } // Fin del while sti1
            MenuProf f1 = new MenuProf("Registro - Profesor",login,passw,pro_clave);
            f1.Componentes();
            f1.mostrar();
          }// Fin del if

          else{
            System.out.println("No existe el registro");
            Frame f = new Frame(); 
            DiaAfirma mf = new DiaAfirma( f,"Password no autorizado", true); 
            mf.show();
          } // Fin del else

         clt.envia("adios");
         clt.recibir();
       } // Fin del else
      } // Fin del if

      else if (ae.getActionCommand().equals("Cancelar")){
         System.exit(1);
      } // Fin del else
   } // Fin del actionPerformed
} // Fin de la clase Escucha
} //  Fin de ControlProfesor
