package profesor;
import fija.*;
import cliente.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;

/**@autor Hortensia Ericka Ceron Vargas */

/** Este programa muestra las respuestas del alumno . Es llamado por el programa    ListaCalif.java*/

public class HojaRespuesta extends Frame {
private List l,list2;
private Label l1,l2,l3;
private Button b1,b2;
private String s,exa_clave,cadena2,cadena3, cadena4, cadena5,cad,aux;
private StringTokenizer st, sti1, sti2;
private GridBagLayout gbl;
private GridBagConstraints gbc;
private FijarValores fv;
private Panel pa1, pa2,pa3;
private Cliente clt;

 

/** El CONSTRUCTOR recibe como parametros un titulo y el nombre del grupo */
public HojaRespuesta(String titulo, String exa_clave){
   super(titulo);
   this.s = s;
   this.exa_clave=exa_clave;
} // Fin de constructor.


public void Componentes(){

   setLayout(new FlowLayout() );
   setSize(350,200);
   gbl = new GridBagLayout();
   gbc = new GridBagConstraints();
   setLayout(new BorderLayout());
   fv = new FijarValores();
   pa1 = new Panel();
   pa1.setLayout(gbl);
   pa2 = new  Panel();
   pa2.setLayout(gbl);
   pa3 = new Panel();
   pa3.setLayout(gbl);


/* Etiquetas */
   l1 = new Label(" A continuacion se muestran la respuesta correcta y la dada por el alumno: " );
   l1.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,3,1,1,1,1, new Insets(5,5,5,5));
   pa1.add(l1);
   gbl.setConstraints(l1,gbc);

  l2 = new Label(" RESPUESTA CORRECTA:" );
  l2.setFont(new Font("TimesRoman",Font.ITALIC,14));
  gbc = fv.FijarValores(gbc,0,2,1,1,1,1, new Insets(5,5,5,5));
  pa2.add(l2);
  gbl.setConstraints(l2,gbc);

  l3 = new Label(" RESPUESTA ALUMNO:" );
  l3.setFont(new Font("TimesRoman",Font.ITALIC,14));
  gbc = fv.FijarValores(gbc,4,2,1,1,1,1, new Insets(5,5,5,5));
  pa2.add(l3);
  gbl.setConstraints(l3,gbc);



/*Lista */
   l = new List(15);
   l.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,3,3,4,4,3, new Insets(5,5,5,5));
   pa2.add(l);
   gbl.setConstraints(l,gbc);

   list2 = new List(15);
   list2.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,4,3,3,4,4,3, new Insets(5,5,5,5));
   pa2.add(list2);
   gbl.setConstraints(list2,gbc);


/*Botones*/
   gbc = fv.FijarValores(gbc,3,5,1,1,1,1, new Insets(5,5,5,5));
   b1 = new Button ("Cancelar");
   b1.addActionListener(new Escucha());
   pa3.add(b1);
   gbl.setConstraints(b1,gbc);


add("North",pa1);
add("Center",pa2);
add("South",pa3);

//Para llenar la lista 1 Respuestas correctas

   aux = "7" +"|" +"SELECT   EXA_CLAVE, PRE_EXA_CLAVE, RES_EXA_CLAVE FROM RESPUESTAEXAMEN WHERE EXA_CLAVE =" + exa_clave +" AND RES_EXA_VALOR <> 0  ORDER BY PRE_EXA_CLAVE";
   clt = new Cliente();
   clt.envia("hola");
   clt.recibir();
   clt.envia("conectar");
   clt.recibir();
   clt.recibir();
   clt.envia(aux);
   cad = clt.recibir();

   sti1 = new StringTokenizer(cad, "/");
   if(sti1.hasMoreTokens()==true){
      l.addItem("Pregunta No.    " + "  " + "   Respuesta    ");
      while(sti1.hasMoreTokens()){
         cadena2 = sti1.nextToken();
         sti2 = new StringTokenizer(cadena2, "|");
         while(sti2.hasMoreTokens()){
               cadena3=sti2.nextToken();
               cadena4=sti2.nextToken();
               cadena5=sti2.nextToken();
               String aux1 = (cadena4 +"                " +cadena5);
               l.addItem(aux1);
               l.select(1);
         } //Fin del while sti2
      } //Fin del while sti1
   }// Fin del if
   else{
      System.out.println("No existe el registro");
   } // Fin del else
   clt.envia("adios");
   clt.recibir();



//Para llenar la lista2 Respuestas del alumno
   aux = "7" +"|" +"SELECT  EXA_CLAVE, PRE_EXA_CLAVE, RES_ALUMNO FROM HOJA_RESPUESTA_EXAMEN WHERE EXA_CLAVE=" +exa_clave + " ORDER BY PRE_EXA_CLAVE";

   clt = new Cliente();
   clt.envia("hola");
   clt.recibir();
   clt.envia("conectar");
   clt.recibir();
   clt.recibir();
   clt.envia(aux);
   cad = clt.recibir();

   sti1 = new StringTokenizer(cad, "/");
   if(sti1.hasMoreTokens()==true){
      list2.addItem("Pregunta No.    " + "  " + "   Respuesta    ");
      while(sti1.hasMoreTokens()){
         cadena2 = sti1.nextToken();
         sti2 = new StringTokenizer(cadena2, "|");
         while(sti2.hasMoreTokens()){
               cadena3=sti2.nextToken();
               cadena4=sti2.nextToken();
               cadena5=sti2.nextToken();
               String auxlist2 = (cadena4 +"                  " +cadena5);
               list2.addItem(auxlist2);
               list2.select(1);
         } //Fin del while sti2
      } //Fin del while sti1
   }// Fin del if
   else{
      System.out.println("No existe el registro");
   } // Fin del else
   clt.envia("adios");
   clt.recibir();


}  // Fin de Componentes

public void mostrar() {
   setSize(650, 500);
   show();
} //  Fin de mostrar

class Escucha implements ActionListener{
   public void actionPerformed (ActionEvent ae){
      if (ae.getActionCommand().equals("Cancelar")){
          dispose();     // Para que desaparezca de la pantalla
      } // Fin del else if

   } // Fin del actionPerformed
} // Fin de la clase Escucha


} // Fin de HojaRespuesta 



