package profesor;
import fija.*;
import cliente.*;
import java.awt.*;
import java.util.*;
import java.awt.event.*;

/**@autor Hortensia Ericka Ceron Vargas */

/* ListaAlu */

/** Este programa muestra la lista de alumnos de un grupo especifico y es 
    llamado por ConsultaLista.java */

public class ListaAlu extends Frame{
private Label l1,l2,l3,l4,l5;
private Choice c1,c2,c3,c4;
private List l;
private TextField t1;
private Button b1,b2;
private String s,login,passw, cadena2,cadena3,cadena4, cadena5,cadena6,aux,cad,auxpla,pro_clave,gru_nombre,alu_clave,alu_nom, gru_clave;
private StringTokenizer st,sti1, sti2;
private GridBagLayout gbl;
private GridBagConstraints gbc;
private FijarValores fv;
private int contador,total;
private Cliente clt;
private int s1;

/* Constructor */

public ListaAlu(String titulo, String login, String passw, String pro_clave, String gru_nombre, String gru_clave) {
   super(titulo);
   this.s = s;
   this.login=login;
   this.passw=passw;
   this.pro_clave=pro_clave;
   this.gru_nombre = gru_nombre;
   this.gru_clave = gru_clave;
} // Fin del Constructor

/** Este metodo se encarga de establecer los componentes en la pantalla
    */
 
public void Componentes(){
   fv = new FijarValores();
   gbl = new GridBagLayout();
   gbc = new GridBagConstraints();
   setLayout(gbl);

/* Etiquetas */
   l1 = new Label("Lista de alumnos del grupo: " +gru_nombre);
   l1.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,1,1,1,1,1, new Insets(5,5,5,5));
   add(l1);
   gbl.setConstraints(l1,gbc);

/*Lista */
   l = new List(15);
   l.setFont(new Font("TimesRoman",Font.ITALIC,14));
   gbc = fv.FijarValores(gbc,0,3,4,3,3,4, new Insets(5,5,5,5));
   add(l);
   gbl.setConstraints(l,gbc);

/* Botones */
   gbc = fv.FijarValores(gbc,0,10,1,1,1,1, new Insets(5,5,5,5));
   b1 = new Button("Mostrar Calificacion");
   b1.addActionListener(new Escucha());
   add(b1);
   gbl.setConstraints(b1,gbc);

   gbc = fv.FijarValores(gbc,1,10,1,1,1,1, new Insets(5,5,5,5));
   b2 = new Button("Cancelar");
   b2.addActionListener(new Escucha());
   add(b2);
   gbl.setConstraints(b2,gbc);


   aux = "12" +"|" +"SELECT a.ALU_CLAVE, a.ALU_NOMBRE, a.ALU_APELLIDO_P, a.ALU_APELLIDO_M FROM ALUMNOS a, LISTA l, GRUPO g WHERE a.ALU_CLAVE = l.ALU_CLAVE AND l.GRU_CLAVE = g.GRU_CLAVE AND g.GRU_NOMBRE = '" +gru_nombre +"' ORDER BY a.ALU_CLAVE";

   clt = new Cliente();
   clt.envia("hola");
   clt.recibir();
   clt.envia("conectar");
   clt.recibir();
   clt.recibir();
   clt.envia(aux);
   cad = clt.recibir();

   sti1 = new StringTokenizer(cad, "/");
   if(sti1.hasMoreTokens()==true){
      while(sti1.hasMoreTokens()){
         cadena2 = sti1.nextToken();
         sti2 = new StringTokenizer(cadena2, "|");
         while(sti2.hasMoreTokens()){
               cadena3=sti2.nextToken();
               cadena4=sti2.nextToken();
               cadena5=sti2.nextToken();
               cadena6=sti2.nextToken();

               String aux1 = (cadena3 +"        " + cadena4 + " " + cadena5 +" "
 +cadena6);
               l.addItem(aux1);
               l.addActionListener(new Escucha());
               l.select(0);
         } //Fin del while sti2
      } //Fin del while sti1
   }// Fin del if
   else{
      System.out.println("No existe el registro");
   } // Fin del else
   clt.envia("adios");
   clt.recibir();




} // Fin de Componentes

public void mostrar() {
   setSize(600, 500);
   show();
} //  Fin de mostrar

class Escucha implements ActionListener{
   public void actionPerformed (ActionEvent ae){
      if (ae.getActionCommand().equals("Mostrar Calificacion")){
         st = new StringTokenizer(l.getSelectedItem()," ");
         alu_clave = st.nextToken();
         alu_nom = st.nextToken();
         System.out.println(gru_nombre);
         ListaCalif lc = new ListaCalif("Lista de Calificaciones",login,passw,pro_clave,gru_nombre,alu_clave,alu_nom, gru_clave);
         lc.Componentes();
         lc.mostrar();

      } // Fin del else if

      else if (ae.getActionCommand().equals("Cancelar")){
         dispose();     // Para que desaparezca de la pantalla
      } // Fin del else if

   } // Fin del actionPerformed
} // Fin de la clase Escucha

} //Fin de  ListaAlu
      

