package profesor;
import fija.*;
import java.awt.*;

/**@autor Hortensia Ericka Ceron Vargas */

/*MenuProf */

/** Este programa despliega el menu  en el que el profesor elige la operacion
   a realizar */

public class MenuProf extends Frame{

private CheckboxGroup chk;
private Checkbox ck1,ck2,ck3;
private Button b1, b2;
private String login,passw,pro_clave;
private GridBagLayout gbl;
private GridBagConstraints gbc;
private FijarValores fv;

/* Constructor */

public MenuProf(String titulo, String login, String passw, String pro_clave){
   super(titulo);
   this.login=login;
   this.passw=passw;
   this.pro_clave=pro_clave;
} // Fin de constructor.



public void Componentes(){
   fv = new FijarValores();
   gbl = new GridBagLayout();
   gbc = new GridBagConstraints();
   setLayout(gbl);


/* CheckboxGroup */
   chk = new CheckboxGroup();
   gbc = fv.FijarValores(gbc,0,3,1,1,1,1, new Insets(5,5,5,5));
   add(ck1 = new Checkbox("     Introducir examen                              ",chk,false));
   gbl.setConstraints(ck1,gbc);

   gbc = fv.FijarValores(gbc,0,4,1,1,1,1, new Insets(5,5,5,5));
   add(ck2 = new Checkbox("     Consultar reactivos                            "
,chk,false));
   gbl.setConstraints(ck2,gbc);

   gbc = fv.FijarValores(gbc,0,5,1,1,1,1, new Insets(5,5,5,5));
   add(ck3 = new Checkbox("       Consultar lista de grupo                     ",chk,false));
   gbl.setConstraints(ck3,gbc);



/* Botones */

   gbc = fv.FijarValores(gbc,0,15,1,1,1,1, new Insets(5,5,5,5));
   b1 = new Button("Aceptar");
   add(b1);
   gbl.setConstraints(b1,gbc);

   gbc = fv.FijarValores(gbc,2,15,1,1,1,1, new Insets(5,5,5,5));
   b2 = new Button("Cancelar");
   add(b2);
   gbl.setConstraints(b2,gbc);

} // Fin de Componentes

public boolean action(Event evt, Object arg){
   if (evt.target instanceof Button) {
      if(evt.target == b1 && chk.getCurrent() !=null) {
         if(chk.getCurrent().equals(ck1)){ //Introducir examen
            ExaProfr fp = new ExaProfr("Grupo a seleccionar",login,passw,pro_clave);
            fp.Componentes();
            fp.mostrar();
         } // Fin del if
         else if (chk.getCurrent().equals(ck2)){  //Consultar Reactivos
            ConsultaPreg cp = new ConsultaPreg("Grupo a seleccionar",login,passw);
            cp.Componentes();
            cp.mostrar();

            System.out.println("Checkbox 2");
         } // Fin del if
         else if (chk.getCurrent().equals(ck3)){
            System.out.println("Checkbox 3");
            ConsultaLista cl = new ConsultaLista("Consulta Lista de grupo",login,passw,pro_clave);
            cl.Componentes();
            cl.mostrar();
         } // Fin del elseif
      } // Fin del if

      else if (evt.target.equals(b2)){
            dispose();
         } //Fin del elseif
      
      return true;
   } // Fin del if
   return false;

} // Fin del action

public void mostrar() {
   setSize(600, 500);
   show();
} // Fin de mostrar

} // Fin de MenuProf


